Scriptname RRSkyUITemplatesScript extends Quest  
{Realistic Regeneration - Templates Settings SkyUI Script}


; GLOBAL VARIABLES --------------------------------------------------------------------------------

; Main

GlobalVariable Property RRHealEnabled Auto
GlobalVariable Property RRMagickaEnabled Auto
GlobalVariable Property RRStaminaEnabled Auto

; Default

GlobalVariable Property RRHealRateIndex Auto
GlobalVariable Property RRHealRate Auto

GlobalVariable Property RRMagickaRateIndex Auto
GlobalVariable Property RRMagickaRate Auto

GlobalVariable Property RRStaminaRateIndex Auto
GlobalVariable Property RRStaminaRate Auto

; Sleep

GlobalVariable Property RRSleepHealIndex Auto
GlobalVariable Property RRSleepHealValue Auto

GlobalVariable Property RRSleepMagickaIndex Auto
GlobalVariable Property RRSleepMagickaValue Auto

GlobalVariable Property RRSleepStaminaIndex Auto
GlobalVariable Property RRSleepStaminaValue Auto

; Wait

GlobalVariable Property RRWaitHealIndex Auto
GlobalVariable Property RRWaitHealValue Auto

GlobalVariable Property RRWaitMagickaIndex Auto
GlobalVariable Property RRWaitMagickaValue Auto

GlobalVariable Property RRWaitStaminaIndex Auto
GlobalVariable Property RRWaitStaminaValue Auto

; Sitting

GlobalVariable Property RRSittingHealIndex Auto
GlobalVariable Property RRSittingHealValue Auto

GlobalVariable Property RRSittingMagickaIndex Auto
GlobalVariable Property RRSittingMagickaValue Auto

GlobalVariable Property RRSittingStaminaIndex Auto
GlobalVariable Property RRSittingStaminaValue Auto

; Running

GlobalVariable Property RRRunningHealIndex Auto
GlobalVariable Property RRRunningHealValue Auto

GlobalVariable Property RRRunningMagickaIndex Auto
GlobalVariable Property RRRunningMagickaValue Auto

GlobalVariable Property RRRunningStaminaIndex Auto
GlobalVariable Property RRRunningStaminaValue Auto

; Sprint

GlobalVariable Property RRSprintHealIndex Auto
GlobalVariable Property RRSprintHealValue Auto

GlobalVariable Property RRSprintMagickaIndex Auto
GlobalVariable Property RRSprintMagickaValue Auto

GlobalVariable Property RRSprintStaminaIndex Auto
GlobalVariable Property RRSprintStaminaValue Auto

; Potion

GlobalVariable Property RRPotionRegenHealIndex Auto
GlobalVariable Property RRPotionRegenHealValue Auto

GlobalVariable Property RRPotionRegenMagickaIndex Auto
GlobalVariable Property RRPotionRegenMagickaValue Auto

GlobalVariable Property RRPotionRegenStaminaIndex Auto
GlobalVariable Property RRPotionRegenStaminaValue Auto

; Food

GlobalVariable Property RRFoodHealIndex Auto
GlobalVariable Property RRFoodHealValue Auto

GlobalVariable Property RRFoodMagickaIndex Auto
GlobalVariable Property RRFoodMagickaValue Auto

GlobalVariable Property RRFoodStaminaIndex Auto
GlobalVariable Property RRFoodStaminaValue Auto

; Beast

GlobalVariable Property RRWerewolfIndex Auto

; -- added in 3.11
GlobalVariable Property RRWerewolfRestoreGS Auto

; Combat

GlobalVariable Property RRCombatMultHealIndex Auto
GlobalVariable Property RRCombatMultHealValue Auto

GlobalVariable Property RRCombatMultMagickaIndex Auto
GlobalVariable Property RRCombatMultMagickaValue Auto

GlobalVariable Property RRCombatMultStaminaIndex Auto
GlobalVariable Property RRCombatMultStaminaValue Auto


GlobalVariable Property RRCombatHealIndex Auto
GlobalVariable Property RRCombatHealValue Auto

GlobalVariable Property RRCombatMagickaIndex Auto
GlobalVariable Property RRCombatMagickaValue Auto

GlobalVariable Property RRCombatStaminaIndex Auto
GlobalVariable Property RRCombatStaminaValue Auto

; Items

GlobalVariable Property RRItemsHealIndex Auto
GlobalVariable Property RRItemsHealValue Auto

GlobalVariable Property RRItemsMagickaIndex Auto
GlobalVariable Property RRItemsMagickaValue Auto

GlobalVariable Property RRItemsStaminaIndex Auto
GlobalVariable Property RRItemsStaminaValue Auto

; Spells

GlobalVariable Property RRSpellsHealIndex Auto
GlobalVariable Property RRSpellsHealValue Auto

GlobalVariable Property RRSpellsMagickaIndex Auto
GlobalVariable Property RRSpellsMagickaValue Auto

GlobalVariable Property RRSpellsStaminaIndex Auto
GlobalVariable Property RRSpellsStaminaValue Auto

; Courage & Fatigue

GlobalVariable Property RRBoostCombatHealEnabled Auto
GlobalVariable Property RRBoostCombatMagickaEnabled Auto
GlobalVariable Property RRBoostCombatStaminaEnabled Auto

GlobalVariable Property RRBoostSprintHealEnabled Auto
GlobalVariable Property RRBoostSprintMagickaEnabled Auto
GlobalVariable Property RRBoostSprintStaminaEnabled Auto

GlobalVariable Property RRRelaxArrowHealEnabled Auto
GlobalVariable Property RRRelaxRunningHealEnabled Auto
GlobalVariable Property RRRelaxStealthHealEnabled Auto
GlobalVariable Property RRRelaxWalkingHealEnabled Auto

GlobalVariable Property RRRelaxArrowMagickaEnabled Auto
GlobalVariable Property RRRelaxRunningMagickaEnabled Auto
GlobalVariable Property RRRelaxStealthMagickaEnabled Auto
GlobalVariable Property RRRelaxWalkingMagickaEnabled Auto

GlobalVariable Property RRRelaxArrowStaminaEnabled Auto
GlobalVariable Property RRRelaxRunningStaminaEnabled Auto
GlobalVariable Property RRRelaxStealthStaminaEnabled Auto
GlobalVariable Property RRRelaxWalkingStaminaEnabled Auto

GlobalVariable Property RRRelaxArrowStaminaValue Auto
GlobalVariable Property RRRelaxRunningStaminaValue Auto
GlobalVariable Property RRRelaxStealthStaminaValue Auto 
GlobalVariable Property RRRelaxWalkingStaminaValue Auto

; GAME SETTINGS
GlobalVariable Property RRGSfSprintStaminaDrainMult Auto
GlobalVariable Property RRGSfSprintStaminaWeightBase Auto
GlobalVariable Property RRGSfSprintStaminaWeightMult Auto
GlobalVariable Property RRGSfStaminaAttackWeaponMult Auto
GlobalVariable Property RRGSfPowerAttackStaminaPenalty Auto
GlobalVariable Property RRGSfStaminaBashBase Auto
GlobalVariable Property RRGSfStaminaPowerBashBase Auto
GlobalVariable Property RRGSfStaminaBlockDmgMult Auto


; Constants ---------------------------------------------------------------------------------------

GlobalVariable Property RRFunctionNoHeal Auto
GlobalVariable Property RRFunctionDefault Auto
GlobalVariable Property RRFunctionUserDefined Auto
GlobalVariable Property RRFunctionVanilla Auto

int Property iENABLED = 1 autoReadOnly Hidden
int Property iDISABLED = 0 autoReadOnly Hidden


; FUNCTIONS ---------------------------------------------------------------------------------------


; revert all options to deactivated state
Function DisableAll()
	GlobalVariable[] gvOptionsList = new GlobalVariable[36]
	gvOptionsList[0] = RRHealRateIndex
	gvOptionsList[1] = RRMagickaRateIndex
	gvOptionsList[2] = RRStaminaRateIndex
	gvOptionsList[3] = RRSleepHealIndex
	gvOptionsList[4] = RRSleepMagickaIndex
	gvOptionsList[5] = RRSleepStaminaIndex
	gvOptionsList[6] = RRWaitHealIndex
	gvOptionsList[7] = RRWaitMagickaIndex
	gvOptionsList[8] = RRWaitStaminaIndex
	gvOptionsList[9] = RRSittingHealIndex
	gvOptionsList[10] = RRSittingMagickaIndex
	gvOptionsList[11] = RRSittingStaminaIndex
	gvOptionsList[12] = RRRunningHealIndex
	gvOptionsList[13] = RRRunningMagickaIndex
	gvOptionsList[14] = RRRunningStaminaIndex
	gvOptionsList[15] = RRSprintHealIndex
	gvOptionsList[16] = RRSprintMagickaIndex
	gvOptionsList[17] = RRSprintStaminaIndex
	gvOptionsList[18] = RRPotionRegenHealIndex
	gvOptionsList[19] = RRPotionRegenMagickaIndex
	gvOptionsList[20] = RRPotionRegenStaminaIndex
	gvOptionsList[21] = RRFoodHealIndex
	gvOptionsList[22] = RRFoodMagickaIndex
	gvOptionsList[23] = RRFoodStaminaIndex
	gvOptionsList[24] = RRCombatMultHealIndex
	gvOptionsList[25] = RRCombatMultMagickaIndex
	gvOptionsList[26] = RRCombatMultStaminaIndex
	gvOptionsList[27] = RRCombatHealIndex
	gvOptionsList[28] = RRCombatMagickaIndex
	gvOptionsList[29] = RRCombatStaminaIndex
	gvOptionsList[30] = RRItemsHealIndex
	gvOptionsList[31] = RRItemsMagickaIndex
	gvOptionsList[32] = RRItemsStaminaIndex
	gvOptionsList[33] = RRSpellsHealIndex
	gvOptionsList[34] = RRSpellsMagickaIndex
	gvOptionsList[35] = RRSpellsStaminaIndex

	GlobalVariable[] gvTogglesList = new GlobalVariable[22]
	gvTogglesList[0] = RRHealEnabled
	gvTogglesList[1] = RRMagickaEnabled
	gvTogglesList[2] = RRStaminaEnabled
	gvTogglesList[3] = RRRelaxArrowHealEnabled
	gvTogglesList[4] = RRRelaxRunningHealEnabled
	gvTogglesList[5] = RRRelaxStealthHealEnabled
	gvTogglesList[6] = RRRelaxWalkingHealEnabled
	gvTogglesList[7] = RRRelaxArrowMagickaEnabled
	gvTogglesList[8] = RRRelaxRunningMagickaEnabled
	gvTogglesList[9] = RRRelaxStealthMagickaEnabled
	gvTogglesList[10] = RRRelaxWalkingMagickaEnabled
	gvTogglesList[11] = RRRelaxArrowStaminaEnabled
	gvTogglesList[12] = RRRelaxRunningStaminaEnabled
	gvTogglesList[13] = RRRelaxStealthStaminaEnabled
	gvTogglesList[14] = RRRelaxWalkingStaminaEnabled
	gvTogglesList[15] = RRBoostCombatHealEnabled
	gvTogglesList[16] = RRBoostCombatMagickaEnabled
	gvTogglesList[17] = RRBoostCombatStaminaEnabled
	gvTogglesList[18] = RRBoostSprintHealEnabled
	gvTogglesList[19] = RRBoostSprintMagickaEnabled
	gvTogglesList[20] = RRBoostSprintStaminaEnabled
	gvTogglesList[21] = RRWerewolfIndex

	Int iUNTOUCH = RRFunctionVanilla.GetValueInt()
	Int iIndex = 0
	While iIndex < gvOptionsList.Length
		gvOptionsList[iIndex].SetValueInt( iUNTOUCH )
		iIndex += 1
	EndWhile

	iIndex = 0
	While iIndex < gvTogglesList.Length
		gvTogglesList[iIndex].SetValueInt( iDISABLED )
		iIndex += 1
	EndWhile
EndFunction

Function RestoreGameSettings()
	RRGSfSprintStaminaDrainMult.SetValue(7.0)
	RRGSfSprintStaminaWeightBase.SetValue(1.0)
	RRGSfSprintStaminaWeightMult.SetValue(0.02)
	RRGSfStaminaAttackWeaponMult.SetValue(1.0)
	RRGSfPowerAttackStaminaPenalty.SetValue(2.0)
	RRGSfStaminaBashBase.SetValue(35.0)
	RRGSfStaminaPowerBashBase.SetValue(55.0)
	RRGSfStaminaBlockDmgMult.SetValue(0.25)
EndFunction

Function DaggerfallTemplate()
	DisableAll()

	Int iNOHEAL = RRFunctionNoHeal.GetValueInt()
	Int iDEFINED = RRFunctionUserDefined.GetValueInt()
	Int iUNTOUCH = RRFunctionVanilla.GetValueInt()
	Int iDEFAULT = RRFunctionDefault.GetValueInt()

	; Fatigues
	RRRelaxArrowStaminaEnabled.SetValueInt( iENABLED )
	RRRelaxRunningStaminaEnabled.SetValueInt( iENABLED )
	RRRelaxStealthStaminaEnabled.SetValueInt( iENABLED )
	RRRelaxWalkingStaminaEnabled.SetValueInt( iENABLED )
	RRRelaxArrowStaminaValue.SetValue(0.50)
	RRRelaxRunningStaminaValue.SetValue(0.15)
	RRRelaxStealthStaminaValue.SetValue(0.10)
	RRRelaxWalkingStaminaValue.SetValue(0.05)

	; Game Settings
	RRGSfSprintStaminaDrainMult.SetValue(0.55)
	RRGSfSprintStaminaWeightBase.SetValue(1.0)
	RRGSfSprintStaminaWeightMult.SetValue(0.02)
	RRGSfStaminaAttackWeaponMult.SetValue(0.5)
	RRGSfPowerAttackStaminaPenalty.SetValue(0.03)
	RRGSfStaminaBashBase.SetValue(0.5)
	RRGSfStaminaPowerBashBase.SetValue(1.0)
	RRGSfStaminaBlockDmgMult.SetValue(0.02)

	; Because of touching Game Settings we have to
	; re-apply default values for beast form
	RRWerewolfIndex.SetValueInt( iENABLED )
	RRWerewolfRestoreGS.SetValueInt( iENABLED )

	; Rates
	RRHealEnabled.SetValueInt( iENABLED )
	RRMagickaEnabled.SetValueInt( iENABLED )
	RRStaminaEnabled.SetValueInt( iENABLED )

	RRHealRateIndex.SetValueInt( iNOHEAL )
	RRMagickaRateIndex.SetValueInt( iDEFINED )
	RRMagickaRate.SetValue(0.4)
	RRStaminaRateIndex.SetValueInt( iNOHEAL )

	RRSittingMagickaIndex.SetValueInt( iDEFINED )
	RRSittingMagickaValue.SetValue(1.25)
	RRSittingStaminaIndex.SetValueInt( iDEFINED )
	RRSittingStaminaValue.SetValue(0.50)

	RRSleepHealIndex.SetValueInt( iDEFAULT )
	RRSleepMagickaIndex.SetValueInt( iDEFAULT )
	RRSleepStaminaIndex.SetValueInt( iDEFAULT )

	RRPotionRegenHealIndex.SetValueInt( iDEFINED )
	RRPotionRegenHealValue.SetValue(0.25)
	RRPotionRegenStaminaIndex.SetValueInt( iDEFINED )
	RRPotionRegenStaminaValue.SetValue(1.0)

	RRFoodHealIndex.SetValueInt( iDEFINED )
	RRFoodHealValue.SetValue(0.25)
	RRFoodStaminaIndex.SetValueInt( iDEFINED )
	RRFoodStaminaValue.SetValue(1.0)

	RRItemsHealIndex.SetValueInt( iDEFINED )
	RRItemsHealValue.SetValue(0.15)
	RRItemsStaminaIndex.SetValueInt( iDEFINED )
	RRItemsStaminaValue.SetValue(0.25)

	; cannibalism/lady sign -- same as for items
	RRSpellsHealIndex.SetValueInt( iDEFINED )
	RRSpellsHealValue.SetValue(0.15)

	; akatosh
	RRSpellsMagickaIndex.SetValueInt( iDEFINED )
	RRSpellsMagickaValue.SetValue(0.10)

	; wind walker perk/lady sign -- same as for items
	RRSpellsStaminaIndex.SetValueInt( iDEFINED )
	RRSpellsStaminaValue.SetValue(0.25)

	RRCombatMultHealIndex.SetValueInt( iDEFINED )
	RRCombatMultHealValue.SetValue(1.0)
	RRCombatMultMagickaIndex.SetValueInt( iDEFINED )
	RRCombatMultMagickaValue.SetValue(1.0)
	RRCombatMultStaminaIndex.SetValueInt( iDEFINED )
	RRCombatMultStaminaValue.SetValue(1.0)
EndFunction


Function UltimateTemplate()
	; Everything enabled
	RRHealEnabled.SetValueInt( iENABLED )
	RRMagickaEnabled.SetValueInt( iENABLED )
	RRStaminaEnabled.SetValueInt( iENABLED )

	; Default/Stay settings are set to default
	RRHealRateIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	RRMagickaRateIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRMagickaRate.SetValue(0.3)

	RRStaminaRateIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRStaminaRate.SetValue(0.5)

	; Rest of settings are disabled/vanilla

	; Sitting
	RRSittingHealIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	RRSittingMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSittingMagickaValue.SetValue(0.35)

	RRSittingStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSittingStaminaValue.SetValue(0.6)

	; Sleep
	RRSleepHealIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	RRSleepMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSleepMagickaValue.SetValue(0.7)

	RRSleepStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSleepStaminaValue.SetValue(0.85)

	; Wait
	RRWaitHealIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	RRWaitMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRWaitMagickaValue.SetValue(0.42)

	RRWaitStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRWaitStaminaValue.SetValue(0.65)

	; Running
	RRRunningHealIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	RRRunningMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRRunningMagickaValue.SetValue(0.1)

	RRRunningStaminaIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	; Sprint
	RRSprintHealIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )
	RRSprintMagickaIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )
	RRSprintStaminaIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	; PotionRegen
	RRPotionRegenHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRPotionRegenHealValue.SetValue(0.14)

	RRPotionRegenMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRPotionRegenMagickaValue.SetValue(0.6)

	RRPotionRegenStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRPotionRegenStaminaValue.SetValue(1.0)

	; Food
	RRFoodHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodHealValue.SetValue(0.03)

	RRFoodMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodMagickaValue.SetValue(0.15)

	RRFoodStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodStaminaValue.SetValue(0.55)

	; Items
	RRItemsHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRItemsHealValue.SetValue(0.01)

	RRItemsMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRItemsMagickaValue.SetValue(0.10)

	RRItemsStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRItemsStaminaValue.SetValue(0.45)

	; Spells
	RRSpellsHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSpellsHealValue.SetValue(0.07)

	RRSpellsMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSpellsMagickaValue.SetValue(0.2)

	RRSpellsStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSpellsStaminaValue.SetValue(0.5)

	; CombatMult
	RRCombatMultHealIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )
	RRCombatMultMagickaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )
	RRCombatMultStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Combat
	RRCombatHealIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )
	RRCombatMagickaIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )
	RRCombatStaminaIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )
endFunction

Function RequiemTemplate()
	; Everything enabled except stamina
	RRHealEnabled.SetValueInt( iENABLED )
	RRMagickaEnabled.SetValueInt( iENABLED )
	RRStaminaEnabled.SetValueInt( iDISABLED )

	; Default/Stay settings are set to default except stamina
	RRHealRateIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRMagickaRateIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRStaminaRateIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Rest of settings are disabled/vanilla
	
	; Sitting
	RRSittingStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Sleep
	RRSleepStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Wait
	RRWaitStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Running
	RRRunningStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Sprint
	RRSprintStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; PotionRegen
	RRPotionRegenStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Food
	RRFoodStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Items
	RRItemsStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Spells
	RRSpellsStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; CombatMult
	RRCombatMultStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Combat
	RRCombatStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )
endFunction

Function CleanTemplate()
	;
	; Disable everything first
	;
	DisableAll()

	; Enable primary options
	RRHealEnabled.SetValueInt( iENABLED )
	RRMagickaEnabled.SetValueInt( iENABLED )
	RRStaminaEnabled.SetValueInt( iENABLED )

	;
	; Default settings are set to default
	;
	Int iDEFAULT = RRFunctionDefault.GetValueInt()
	RRHealRateIndex.SetValueInt( iDEFAULT )
	RRMagickaRateIndex.SetValueInt( iDEFAULT )
	RRStaminaRateIndex.SetValueInt( iDEFAULT )
endFunction

Function CasualWarrior()
	; Everything enabled
	RRHealEnabled.SetValueInt( iENABLED )
	RRMagickaEnabled.SetValueInt( iENABLED )
	RRStaminaEnabled.SetValueInt( iENABLED )

	; Default/Staying rate
	RRHealRateIndex.SetValueInt( iENABLED )
	RRHealRate.SetValue(0.45)

	RRMagickaRateIndex.SetValueInt( iENABLED )
	RRMagickaRate.SetValue(0.3)

	RRStaminaRateIndex.SetValueInt( iENABLED )
	RRStaminaRate.SetValue(2.5)

	; Sitting
	RRSittingHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	RRSittingMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSittingMagickaValue.SetValue(0.7)

	RRSittingStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Sleep
	RRSleepHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSleepMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSleepStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Waiting
	RRWaitHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRWaitMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRWaitStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Running
	RRRunningHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	RRRunningMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRRunningMagickaValue.SetValue(0.15)

	RRRunningStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Sprint
	RRSprintHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSprintHealValue.SetValue(0.30)

	RRSprintMagickaIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	RRSprintStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSprintStaminaValue.SetValue(1.5)

	; Poitions
	RRPotionRegenHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	RRPotionRegenMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRPotionRegenMagickaValue.SetValue(1.5)

	RRPotionRegenStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Food
	RRFoodHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodHealValue.SetValue(0.55)

	RRFoodMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodMagickaValue.SetValue(1.25)

	RRFoodStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodStaminaValue.SetValue(3.5)

	; Combat
	RRCombatMultHealIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )
	RRCombatMultMagickaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )
	RRCombatMultStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	RRCombatHealIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )
	RRCombatMagickaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )
	RRCombatStaminaIndex.SetValueInt( RRFunctionVanilla.GetValueInt() )

	; Items
	RRItemsHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRItemsMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRItemsStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Spells
	RRSpellsHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSpellsMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSpellsStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
endFunction

Function CasualMage()
	; Everything enabled
	RRHealEnabled.SetValueInt( iENABLED )
	RRMagickaEnabled.SetValueInt( iENABLED )
	RRStaminaEnabled.SetValueInt( iENABLED )

	; Default/staying rate
	RRHealRateIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRHealRate.SetValue(0.07)

	RRMagickaRateIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRMagickaRate.SetValue(2.0)

	RRStaminaRateIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRStaminaRate.SetValue(1.0)

	; Sleep
	RRSleepHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSleepMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSleepStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Sitting
	RRSittingHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSittingHealValue.SetValue(0.15)

	RRSittingMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	RRSittingStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSittingStaminaValue.SetValue(1.25)

	; Waiting
	RRWaitHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRWaitMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRWaitStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Running
	RRRunningHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRRunningHealValue.SetValue(0.03)

	RRRunningMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	RRRunningStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRRunningStaminaValue.SetValue(0.5)

	; Sprint
	RRSprintHealIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	RRSprintMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSprintMagickaValue.SetValue(1.5)

	RRSprintStaminaIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	; Poitions
	RRPotionRegenHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRPotionRegenHealValue.SetValue(0.35)

	RRPotionRegenMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	RRPotionRegenStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRPotionRegenStaminaValue.SetValue(1.75)

	; Food
	RRFoodHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodHealValue.SetValue(0.25)

	RRFoodMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodMagickaValue.SetValue(2.5)

	RRFoodStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodStaminaValue.SetValue(1.5)

	; Combat
	RRCombatMultHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRCombatMultMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRCombatMultStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	RRCombatHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRCombatMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRCombatStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Items
	RRItemsHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRItemsMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRItemsStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Spells
	RRSpellsHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSpellsMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSpellsStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
endFunction


Function CasualThief()
	; Everything enabled
	RRHealEnabled.SetValueInt( iENABLED )
	RRMagickaEnabled.SetValueInt( iENABLED )
	RRStaminaEnabled.SetValueInt( iENABLED )

	; Default/staying rate
	RRHealRateIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRHealRate.SetValue(0.15)

	RRMagickaRateIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRMagickaRate.SetValue(1.0)

	RRStaminaRateIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRStaminaRate.SetValue(1.25)

	; Waiting
	RRWaitHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRWaitMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRWaitStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Sleep
	RRSleepHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSleepMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSleepStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Sitting
	RRSittingHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSittingHealValue.SetValue(0.2)

	RRSittingMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSittingMagickaValue.SetValue(1.05)

	RRSittingStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRSittingStaminaValue.SetValue(1.45)

	; Running
	RRRunningHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRRunningHealValue.SetValue(0.1)

	RRRunningMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRRunningMagickaValue.SetValue(0.7)

	RRRunningStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRRunningStaminaValue.SetValue(1.0)

	; Sprint
	RRSprintHealIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )
	RRSprintMagickaIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )
	RRSprintStaminaIndex.SetValueInt( RRFunctionNoHeal.GetValueInt() )

	; Poitions
	RRPotionRegenHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRPotionRegenHealValue.SetValue(0.35)

	RRPotionRegenMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRPotionRegenMagickaValue.SetValue(1.5)

	RRPotionRegenStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRPotionRegenStaminaValue.SetValue(2.25)

	; Food
	RRFoodHealIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodHealValue.SetValue(0.25)

	RRFoodMagickaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodMagickaValue.SetValue(1.25)

	RRFoodStaminaIndex.SetValueInt( RRFunctionUserDefined.GetValueInt() )
	RRFoodStaminaValue.SetValue(1.75)

	; Combat
	RRCombatMultHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRCombatMultMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRCombatMultStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	RRCombatHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRCombatMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRCombatStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Items
	RRItemsHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRItemsMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRItemsStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )

	; Spells
	RRSpellsHealIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSpellsMagickaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
	RRSpellsStaminaIndex.SetValueInt( RRFunctionDefault.GetValueInt() )
endFunction
