Scriptname RRMaintainanceScript extends Quest  
{Realistic Regeneration for SkyUI : Maintenance Script}


;
; GLOBAL VARIABLES --------------------------------------------------------------------------------
;

; Scripts
RRSkyUILibScript Property RRSkyUILib Auto


;
; PRIVATE VARIABLES -------------------------------------------------------------------------------
;

float lastUpdatedVersion


;
; FUNCTIONS ---------------------------------------------------------------------------------------
;

float Function getRRVersion()
	return 3.11
EndFunction

Function Maintenance()
	if ( lastUpdatedVersion < getRRVersion() )
		lastUpdatedVersion = getRRVersion()
		Debug.Notification( "$RRnotifyInitialization" )
	endif

	initializeAll()
	resetAll()
EndFunction

Function initializeAll()
	RRSkyUILib.initializeAll()
EndFunction

Function resetAll()
	RRSkyUILib.resetAll()
EndFunction
