Scriptname RRSkyUIConfigParentScript extends SKI_ConfigBase Hidden 
{Realistic Regeneration for SkyUI : Parent Script}

; +-RRSkyUIConfigParentScript
; +-+-RRConfigHelpScript
;   +-+-RRConfigSlidersScript
;     +-+-RRConfigTemplatesScript
;       +-+-RRConfigMiscScript
;         +-+-RRConfigBeastFormScript
;           +-+-RRConfigCombatScript
;             +-+-RRConfigBoostersScript
;               +-+-RRConfigAttributesScript
;                 +-+-RRSkyUIConfigMenuScript

;
; GLOBAL VARIABLES --------------------------------------------------------------------------------
;

; Scripts
RRControlScript        Property RRControl      Auto
RRSkyUILibScript       Property RRSkyUILib     Auto
RRMaintainanceScript   Property RRMaintainance Auto
RRSkyUITemplatesScript Property RRTemplates    Auto

; Main
GlobalVariable Property RREnabled Auto
GlobalVariable Property RRUninstall Auto

GlobalVariable Property RRHealEnabled Auto
GlobalVariable Property RRMagickaEnabled Auto
GlobalVariable Property RRStaminaEnabled Auto

; Debug
GlobalVariable Property RRDebugEnabled Auto

; Default
GlobalVariable Property RRHealRateIndex Auto
GlobalVariable Property RRHealRate Auto

GlobalVariable Property RRMagickaRateIndex Auto
GlobalVariable Property RRMagickaRate Auto

GlobalVariable Property RRStaminaRateIndex Auto
GlobalVariable Property RRStaminaRate Auto

; Sleep
GlobalVariable Property RRSleepHealIndex Auto
GlobalVariable Property RRSleepHealValue Auto

GlobalVariable Property RRSleepMagickaIndex Auto
GlobalVariable Property RRSleepMagickaValue Auto

GlobalVariable Property RRSleepStaminaIndex Auto
GlobalVariable Property RRSleepStaminaValue Auto

; Wait
GlobalVariable Property RRWaitHealIndex Auto
GlobalVariable Property RRWaitHealValue Auto

GlobalVariable Property RRWaitMagickaIndex Auto
GlobalVariable Property RRWaitMagickaValue Auto

GlobalVariable Property RRWaitStaminaIndex Auto
GlobalVariable Property RRWaitStaminaValue Auto

GlobalVariable Property RRMinWaitPeriod Auto

; Sitting
GlobalVariable Property RRSittingHealIndex Auto
GlobalVariable Property RRSittingHealValue Auto

GlobalVariable Property RRSittingMagickaIndex Auto
GlobalVariable Property RRSittingMagickaValue Auto

GlobalVariable Property RRSittingStaminaIndex Auto
GlobalVariable Property RRSittingStaminaValue Auto

; Running
GlobalVariable Property RRRunningHealIndex Auto
GlobalVariable Property RRRunningHealValue Auto

GlobalVariable Property RRRunningMagickaIndex Auto
GlobalVariable Property RRRunningMagickaValue Auto

GlobalVariable Property RRRunningStaminaIndex Auto
GlobalVariable Property RRRunningStaminaValue Auto

; Sprint
GlobalVariable Property RRSprintHealIndex Auto
GlobalVariable Property RRSprintHealValue Auto

GlobalVariable Property RRSprintMagickaIndex Auto
GlobalVariable Property RRSprintMagickaValue Auto

GlobalVariable Property RRSprintStaminaIndex Auto
GlobalVariable Property RRSprintStaminaValue Auto

; Potion
GlobalVariable Property RRPotionRegenHealIndex Auto
GlobalVariable Property RRPotionRegenHealValue Auto

GlobalVariable Property RRPotionRegenMagickaIndex Auto
GlobalVariable Property RRPotionRegenMagickaValue Auto

GlobalVariable Property RRPotionRegenStaminaIndex Auto
GlobalVariable Property RRPotionRegenStaminaValue Auto

; Food
GlobalVariable Property RRFoodHealIndex Auto
GlobalVariable Property RRFoodHealValue Auto

GlobalVariable Property RRFoodMagickaIndex Auto
GlobalVariable Property RRFoodMagickaValue Auto

GlobalVariable Property RRFoodStaminaIndex Auto
GlobalVariable Property RRFoodStaminaValue Auto

; Beast
GlobalVariable Property RRWerewolfIndex Auto

GlobalVariable Property RRWerewolfHealRateIndex Auto
GlobalVariable Property RRWerewolfHealRateValue Auto

GlobalVariable Property RRWerewolfMagickaRateIndex Auto
GlobalVariable Property RRWerewolfMagickaRateValue Auto

GlobalVariable Property RRWerewolfStaminaRateIndex Auto
GlobalVariable Property RRWerewolfStaminaRateValue Auto

; -- added in 3.11
GlobalVariable Property RRWerewolfRestoreGS Auto

; Combat
GlobalVariable Property RRCombatMultHealIndex Auto
GlobalVariable Property RRCombatMultHealValue Auto

GlobalVariable Property RRCombatMultMagickaIndex Auto
GlobalVariable Property RRCombatMultMagickaValue Auto

GlobalVariable Property RRCombatMultStaminaIndex Auto
GlobalVariable Property RRCombatMultStaminaValue Auto

GlobalVariable Property RRCombatHealIndex Auto
GlobalVariable Property RRCombatHealValue Auto

GlobalVariable Property RRCombatMagickaIndex Auto
GlobalVariable Property RRCombatMagickaValue Auto

GlobalVariable Property RRCombatStaminaIndex Auto
GlobalVariable Property RRCombatStaminaValue Auto

; Items
GlobalVariable Property RRItemsHealIndex Auto
GlobalVariable Property RRItemsHealValue Auto

GlobalVariable Property RRItemsMagickaIndex Auto
GlobalVariable Property RRItemsMagickaValue Auto

GlobalVariable Property RRItemsStaminaIndex Auto
GlobalVariable Property RRItemsStaminaValue Auto

; Spells
GlobalVariable Property RRSpellsHealIndex Auto
GlobalVariable Property RRSpellsHealValue Auto

GlobalVariable Property RRSpellsMagickaIndex Auto
GlobalVariable Property RRSpellsMagickaValue Auto

GlobalVariable Property RRSpellsStaminaIndex Auto
GlobalVariable Property RRSpellsStaminaValue Auto

; Sliders
GlobalVariable Property RRsliderHealMin Auto
GlobalVariable Property RRsliderHealMax Auto
GlobalVariable Property RRsliderHealInterval Auto

GlobalVariable Property RRsliderMagickaMin Auto
GlobalVariable Property RRsliderMagickaMax Auto
GlobalVariable Property RRsliderMagickaInterval Auto

GlobalVariable Property RRsliderStaminaMin Auto
GlobalVariable Property RRsliderStaminaMax Auto
GlobalVariable Property RRsliderStaminaInterval Auto

GlobalVariable Property RRsliderCMHealMin Auto
GlobalVariable Property RRsliderCMHealMax Auto
GlobalVariable Property RRsliderCMHealInterval Auto

GlobalVariable Property RRsliderCMMagickaMin Auto
GlobalVariable Property RRsliderCMMagickaMax Auto
GlobalVariable Property RRsliderCMMagickaInterval Auto

GlobalVariable Property RRsliderCMStaminaMin Auto
GlobalVariable Property RRsliderCMStaminaMax Auto
GlobalVariable Property RRsliderCMStaminaInterval Auto

GlobalVariable Property RRsliderMaxValue Auto

; Constants
GlobalVariable Property RRFunctionNoHeal Auto
GlobalVariable Property RRFunctionDefault Auto
GlobalVariable Property RRFunctionUserDefined Auto
GlobalVariable Property RRFunctionVanilla Auto

; Misc
GlobalVariable Property RRUpdateSleepAt Auto
GlobalVariable Property RRUpdateSpellsAt Auto
GlobalVariable Property RRUpdateWaitAt Auto
GlobalVariable Property RRHideInUI Auto
GlobalVariable Property RRWerewolfUpdateInterval Auto
GlobalVariable Property RRUpdateBoostersAt Auto
GlobalVariable Property RRUpdateFatigueBowstringAt Auto
GlobalVariable Property RRUpdateAttributesAt Auto
GlobalVariable Property RRGameSettingsAt Auto

; BOOSTERS - Courage

; Sprint
GlobalVariable Property RRBoostSprintHealEnabled Auto
GlobalVariable Property RRBoostSprintMagickaEnabled Auto
GlobalVariable Property RRBoostSprintStaminaEnabled Auto

GlobalVariable Property RRBoostSprintHealValue Auto
GlobalVariable Property RRBoostSprintMagickaValue Auto
GlobalVariable Property RRBoostSprintStaminaValue Auto

; Combat
GlobalVariable Property RRBoostCombatHealEnabled Auto
GlobalVariable Property RRBoostCombatMagickaEnabled Auto
GlobalVariable Property RRBoostCombatStaminaEnabled Auto

GlobalVariable Property RRBoostCombatHealValue Auto
GlobalVariable Property RRBoostCombatMagickaValue Auto
GlobalVariable Property RRBoostCombatStaminaValue Auto

; BOOSTERS - Fatigue

; Bow/Arrow/Nocking
GlobalVariable Property RRRelaxArrowHealEnabled Auto
GlobalVariable Property RRRelaxArrowMagickaEnabled Auto
GlobalVariable Property RRRelaxArrowStaminaEnabled Auto

GlobalVariable Property RRRelaxArrowHealValue Auto
GlobalVariable Property RRRelaxArrowMagickaValue Auto
GlobalVariable Property RRRelaxArrowStaminaValue Auto

; Running
GlobalVariable Property RRRelaxRunningHealEnabled Auto
GlobalVariable Property RRRelaxRunningMagickaEnabled Auto
GlobalVariable Property RRRelaxRunningStaminaEnabled Auto

GlobalVariable Property RRRelaxRunningHealValue Auto
GlobalVariable Property RRRelaxRunningMagickaValue Auto
GlobalVariable Property RRRelaxRunningStaminaValue Auto

; Stealth/Sneaking
GlobalVariable Property RRRelaxStealthHealEnabled Auto
GlobalVariable Property RRRelaxStealthMagickaEnabled Auto
GlobalVariable Property RRRelaxStealthStaminaEnabled Auto

GlobalVariable Property RRRelaxStealthHealValue Auto
GlobalVariable Property RRRelaxStealthMagickaValue Auto
GlobalVariable Property RRRelaxStealthStaminaValue Auto

; Walking
GlobalVariable Property RRRelaxWalkingHealEnabled Auto
GlobalVariable Property RRRelaxWalkingMagickaEnabled Auto
GlobalVariable Property RRRelaxWalkingStaminaEnabled Auto

GlobalVariable Property RRRelaxWalkingHealValue Auto
GlobalVariable Property RRRelaxWalkingMagickaValue Auto
GlobalVariable Property RRRelaxWalkingStaminaValue Auto


; ATTRIBUTES - Modifiers

GlobalVariable Property RRAttrHealthModifier Auto
GlobalVariable Property RRAttrMagickaModifier Auto
GlobalVariable Property RRAttrStaminaModifier Auto

; ATTRIBUTES - Sliders

GlobalVariable Property RRsliderAttrHealthMin Auto
GlobalVariable Property RRsliderAttrHealthMax Auto
GlobalVariable Property RRsliderAttrHealthInterval Auto

GlobalVariable Property RRsliderAttrMagickaMin Auto
GlobalVariable Property RRsliderAttrMagickaMax Auto
GlobalVariable Property RRsliderAttrMagickaInterval Auto

GlobalVariable Property RRsliderAttrStaminaMin Auto
GlobalVariable Property RRsliderAttrStaminaMax Auto
GlobalVariable Property RRsliderAttrStaminaInterval Auto

GlobalVariable Property RRAttrCarryWeightModifier Auto


; PERKS

GlobalVariable Property RREagleEyeStaminaEnabled Auto
GlobalVariable Property RREagleEyeStaminaValue Auto


; GAME SETTINGS
GlobalVariable Property RRGSfSprintStaminaDrainMult Auto
GlobalVariable Property RRGSfSprintStaminaWeightBase Auto
GlobalVariable Property RRGSfSprintStaminaWeightMult Auto
GlobalVariable Property RRGSfStaminaAttackWeaponMult Auto
GlobalVariable Property RRGSfPowerAttackStaminaPenalty Auto
GlobalVariable Property RRGSfStaminaBashBase Auto
GlobalVariable Property RRGSfStaminaPowerBashBase Auto
GlobalVariable Property RRGSfStaminaBlockDmgMult Auto
; -- added in 3.10
GlobalVariable Property RRGSfMagicCasterPCSkillCostBase Auto
GlobalVariable Property RRGSfMagicCasterPCSkillCostMult Auto
GlobalVariable Property RRGSfMagicCasterSkillCostBase Auto
GlobalVariable Property RRGSfMagicCasterSkillCostMult Auto


; Specialties
GlobalVariable Property RRPerkSlowEnabled Auto
Spell Property RRPerkSlowSpell Auto


;
; PRIVATE VARIABLES -------------------------------------------------------------------------------
;

; Lists
string[] Property _commonOptionsList Auto Hidden
string[] Property _defaultOptionsList Auto Hidden

; State
int Property _modEnabledFlags Auto Hidden

int Property _modHealFlags Auto Hidden
int Property _modMagickaFlags Auto Hidden
int Property _modStaminaFlags Auto Hidden

int Property _defaultHealFlags Auto Hidden
int Property _defaultMagickaFlags Auto Hidden
int Property _defaultStaminaFlags Auto Hidden

int Property _sleepHealFlags Auto Hidden
int Property _sleepMagickaFlags Auto Hidden
int Property _sleepStaminaFlags Auto Hidden

int Property _waitHealFlags Auto Hidden
int Property _waitMagickaFlags Auto Hidden
int Property _waitStaminaFlags Auto Hidden

int Property _sittingHealFlags Auto Hidden
int Property _sittingMagickaFlags Auto Hidden
int Property _sittingStaminaFlags Auto Hidden

int Property _runningHealFlags Auto Hidden
int Property _runningMagickaFlags Auto Hidden
int Property _runningStaminaFlags Auto Hidden

int Property _sprintHealFlags Auto Hidden
int Property _sprintMagickaFlags Auto Hidden
int Property _sprintStaminaFlags Auto Hidden

int Property _potionHealFlags Auto Hidden
int Property _potionMagickaFlags Auto Hidden
int Property _potionStaminaFlags Auto Hidden

int Property _foodHealFlags Auto Hidden
int Property _foodMagickaFlags Auto Hidden
int Property _foodStaminaFlags Auto Hidden

int Property _combatMultHealFlags Auto Hidden
int Property _combatMultMagickaFlags Auto Hidden
int Property _combatMultStaminaFlags Auto Hidden

int Property _combatHealFlags Auto Hidden
int Property _combatMagickaFlags Auto Hidden
int Property _combatStaminaFlags Auto Hidden

int Property _itemsHealFlags Auto Hidden
int Property _itemsMagickaFlags Auto Hidden
int Property _itemsStaminaFlags Auto Hidden

int Property _spellsHealFlags Auto Hidden
int Property _spellsMagickaFlags Auto Hidden
int Property _spellsStaminaFlags Auto Hidden

int Property _werewolfFlags Auto Hidden
int Property _werewolfHealFlags Auto Hidden
int Property _werewolfMagickaFlags Auto Hidden
int Property _werewolfStaminaFlags Auto Hidden

; Constants

float Property _defaultInterval = 0.01 autoReadOnly
string Property _sliderFS = "{2}" autoReadOnly


; Default variables (calculated in runtime)

float Property _defaultHealRateValue Auto Hidden
float Property _defaultMagickaRateValue Auto Hidden
float Property _defaultStaminaRateValue Auto Hidden

float Property _defaultCombatHealMultValue Auto Hidden
float Property _defaultCombatMagickaMultValue Auto Hidden
float Property _defaultCombatStaminaMultValue Auto Hidden

; Save & Load
string Property _saveSlotDesc = "$RREmpty" Auto Hidden

; Showcase attributes and rates
int Property iStatsIndex = 0 Auto Hidden

;
; FUNCTIONS : Intialization -----------------------------------------------------------------------
;

Function initializeAll()
	iStatsIndex = 0

	setDefaultValues()
	setDefaultOptions()
	setCommonOptions()
endFunction

Function setDefaultValues()
	_defaultHealRateValue = RRControl.getDefaultHealRate()
	_defaultMagickaRateValue = RRControl.getDefaultMagickaRate()
	_defaultStaminaRateValue = RRControl.getDefaultStaminaRate()

	_defaultCombatHealMultValue = RRControl.getDefaultCombatHealMult()
	_defaultCombatMagickaMultValue = RRControl.getDefaultCombatMagickaMult()
	_defaultCombatStaminaMultValue = RRControl.getDefaultCombatStaminaMult()
endFunction

Function setDefaultOptions()
	_defaultOptionsList = new string[4]
	_defaultOptionsList[0] = "$RRfunctionNoHeal"
	_defaultOptionsList[1] = "$RRfunctionDefault"
	_defaultOptionsList[2] = "$RRfunctionUser"
	_defaultOptionsList[3] = "$RRfunctionVanilla"
endFunction

Function setCommonOptions()
	_commonOptionsList = new string[4]
	_commonOptionsList[0] = "$RRfunctionNoHeal"
	_commonOptionsList[1] = "$RRfunctionDefault"
	_commonOptionsList[2] = "$RRfunctionUser"
	_commonOptionsList[3] = "$RRfunctionVanilla"
endFunction

Function resetAll()
	RRSkyUILib.resetAll()
EndFunction

bool Function isUserdefined( GlobalVariable gvREF )
	return gvREF.GetValueInt() == RRFunctionUserDefined.GetValueInt()
endFunction

;
; FUNCTIONS Flags ---------------------------------------------------------------------------------
;

Function updateSliderOption( GlobalVariable gvIndex, GlobalVariable gvValue, string avName, string stateName, int iFlags, string[] sList )
	int rIndex = gvIndex.GetValueInt()
	float rValue = RRSkyUILib.getRRCV( rIndex, gvValue, avName)

	SetMenuOptionValueST(sList[rIndex])
	SetSliderOptionValueST(rValue, _sliderFS, false, stateName)
	SetOptionFlagsST(iFlags, false, stateName)
endFunction

Function updateCombatSliderOption( GlobalVariable gvIndex, GlobalVariable gvValue, string avName, string stateName, int iFlags, string[] sList )
	int rIndex = gvIndex.GetValueInt()
	float rValue = RRSkyUILib.getRRCVMult( rIndex, gvValue, avName)

	SetMenuOptionValueST(sList[rIndex])
	SetSliderOptionValueST(rValue, _sliderFS, false, stateName)
	SetOptionFlagsST(iFlags, false, stateName)
endFunction

bool Function updateModEnabledFlags()
	if ( RREnabled.GetValueInt() == 1 )
		_modEnabledFlags = OPTION_FLAG_NONE
		return true
	else
		_modEnabledFlags = OPTION_FLAG_DISABLED
		return false
	endIf
endFunction

bool Function updateModHealFlags()
	if ( RRHealEnabled.GetValueInt() == 1 )
		_modHealFlags = OPTION_FLAG_NONE
		return true
	else
		_modHealFlags = OPTION_FLAG_DISABLED
		return false
	endIf
endFunction

bool Function updateModMagickaFlags()
	if (RRMagickaEnabled.GetValueInt() == 1)
		_modMagickaFlags = OPTION_FLAG_NONE
		return true
	else
		_modMagickaFlags = OPTION_FLAG_DISABLED
		return false
	endIf
endFunction

bool Function updateModStaminaFlags()
	if (RRStaminaEnabled.GetValueInt() == 1)
		_modStaminaFlags = OPTION_FLAG_NONE
		return true
	else
		_modStaminaFlags = OPTION_FLAG_DISABLED
		return false
	endIf
endFunction

Function disableAllFlags()
	_modHealFlags = OPTION_FLAG_DISABLED
	_modMagickaFlags = OPTION_FLAG_DISABLED
	_modStaminaFlags = OPTION_FLAG_DISABLED

	_defaultHealFlags = OPTION_FLAG_DISABLED
	_defaultMagickaFlags = OPTION_FLAG_DISABLED
	_defaultStaminaFlags = OPTION_FLAG_DISABLED

	_sleepHealFlags = OPTION_FLAG_DISABLED
	_sleepMagickaFlags = OPTION_FLAG_DISABLED
	_sleepStaminaFlags = OPTION_FLAG_DISABLED

	_waitHealFlags = OPTION_FLAG_DISABLED
	_waitMagickaFlags = OPTION_FLAG_DISABLED
	_waitStaminaFlags = OPTION_FLAG_DISABLED

	_sittingHealFlags = OPTION_FLAG_DISABLED
	_sittingMagickaFlags = OPTION_FLAG_DISABLED
	_sittingStaminaFlags = OPTION_FLAG_DISABLED

	_runningHealFlags = OPTION_FLAG_DISABLED
	_runningMagickaFlags = OPTION_FLAG_DISABLED
	_runningStaminaFlags = OPTION_FLAG_DISABLED

	_sprintHealFlags = OPTION_FLAG_DISABLED
	_sprintMagickaFlags = OPTION_FLAG_DISABLED
	_sprintStaminaFlags = OPTION_FLAG_DISABLED

	_potionHealFlags = OPTION_FLAG_DISABLED
	_potionMagickaFlags = OPTION_FLAG_DISABLED
	_potionStaminaFlags = OPTION_FLAG_DISABLED

	_foodHealFlags = OPTION_FLAG_DISABLED
	_foodMagickaFlags = OPTION_FLAG_DISABLED
	_foodStaminaFlags = OPTION_FLAG_DISABLED

	_combatMultHealFlags = OPTION_FLAG_DISABLED
	_combatMultMagickaFlags = OPTION_FLAG_DISABLED
	_combatMultStaminaFlags = OPTION_FLAG_DISABLED

	_combatHealFlags = OPTION_FLAG_DISABLED
	_combatMagickaFlags = OPTION_FLAG_DISABLED
	_combatStaminaFlags = OPTION_FLAG_DISABLED

	_itemsHealFlags = OPTION_FLAG_DISABLED
	_itemsMagickaFlags = OPTION_FLAG_DISABLED
	_itemsStaminaFlags = OPTION_FLAG_DISABLED

	_spellsHealFlags = OPTION_FLAG_DISABLED
	_spellsMagickaFlags = OPTION_FLAG_DISABLED
	_spellsStaminaFlags = OPTION_FLAG_DISABLED
endFunction

;
; PAGE StayAndSit --------------------------------------------------------------------------------
;

Function generateStayAndSitPage()
	SetCursorFillMode(TOP_TO_BOTTOM)

	AddHeaderOption("$RRStaying", _modEnabledFlags)
	AddEmptyOption()

	int rIndex = RRHealRateIndex.GetValueInt()
	string rName = _defaultOptionsList[rIndex]
	float rValue = RRSkyUILib.getRRCV( rIndex, RRHealRate, "Health")

	AddMenuOptionST("STAY_HEAL_TYPE", "$Health", rName, _modHealFlags)
	AddSliderOptionST("STAY_HEAL_VALUE", "$Value", rValue, _sliderFS, _defaultHealFlags)
	AddEmptyOption()

	rIndex = RRMagickaRateIndex.GetValueInt()
	rName = _defaultOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRMagickaRate, "Magicka")

	AddMenuOptionST("STAY_MAGICKA_TYPE", "$Magicka", rName, _modMagickaFlags)
	AddSliderOptionST("STAY_MAGICKA_VALUE", "$Value", rValue, _sliderFS, _defaultMagickaFlags)
	AddEmptyOption()

	rIndex = RRStaminaRateIndex.GetValueInt()
	rName = _defaultOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRStaminaRate, "Stamina")

	AddMenuOptionST("STAY_STAMINA_TYPE", "$Stamina", rName, _modStaminaFlags)
	AddSliderOptionST("STAY_STAMINA_VALUE", "$Value", rValue, _sliderFS, _defaultStaminaFlags)

	SetCursorPosition(1)

	AddHeaderOption("$RRSitting", _modEnabledFlags)
	AddEmptyOption()

	rIndex = RRSittingHealIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSittingHealValue, "Health")

	AddMenuOptionST("SITTING_HEAL_TYPE", "$Health", rName, _modHealFlags)
	AddSliderOptionST("SITTING_HEAL_VALUE", "$Value", rValue, _sliderFS, _sittingHealFlags)
	AddEmptyOption()

	rIndex = RRSittingMagickaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSittingMagickaValue, "Magicka")

	AddMenuOptionST("SITTING_MAGICKA_TYPE", "$Magicka", rName, _modMagickaFlags)
	AddSliderOptionST("SITTING_MAGICKA_VALUE", "$Value", rValue, _sliderFS, _sittingMagickaFlags)
	AddEmptyOption()

	rIndex = RRSittingStaminaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSittingStaminaValue, "Stamina")

	AddMenuOptionST("SITTING_STAMINA_TYPE", "$Stamina", rName, _modStaminaFlags)
	AddSliderOptionST("SITTING_STAMINA_VALUE", "$Value", rValue, _sliderFS, _sittingStaminaFlags)
endFunction

;
; STATE Staying and Sitting -----------------------------------------------------------------------
;
; STATE Staying : Menus ---------------------------------------------------------------------------
;

state STAY_HEAL_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRHealRateIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_defaultOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRHealRateIndex.SetValueInt(index)
		updateStayAndSitFlags()
		updateSliderOption(RRHealRateIndex, RRHealRate, "Health", "STAY_HEAL_VALUE", _defaultHealFlags, _defaultOptionsList)
	endEvent

	event OnDefaultST()
		RRHealRateIndex.SetValueInt(1)
		updateStayAndSitFlags()
		updateSliderOption(RRHealRateIndex, RRHealRate, "Health", "STAY_HEAL_VALUE", _defaultHealFlags, _defaultOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintDefaultType")
	endEvent
endState

state STAY_MAGICKA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRMagickaRateIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_defaultOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRMagickaRateIndex.SetValueInt(index)
		updateStayAndSitFlags()
		updateSliderOption(RRMagickaRateIndex, RRMagickaRate, "Magicka", "STAY_MAGICKA_VALUE", _defaultMagickaFlags, _defaultOptionsList)
	endEvent

	event OnDefaultST()
		RRMagickaRateIndex.SetValueInt(1)
		updateStayAndSitFlags()
		updateSliderOption(RRMagickaRateIndex, RRMagickaRate, "Magicka", "STAY_MAGICKA_VALUE", _defaultMagickaFlags, _defaultOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintDefaultType")
	endEvent
endState

state STAY_STAMINA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRStaminaRateIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_defaultOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRStaminaRateIndex.SetValueInt(index)
		updateStayAndSitFlags()
		updateSliderOption(RRStaminaRateIndex, RRStaminaRate, "Stamina", "STAY_STAMINA_VALUE", _defaultStaminaFlags, _defaultOptionsList)
	endEvent

	event OnDefaultST()
		RRStaminaRateIndex.SetValueInt(1)
		updateStayAndSitFlags()
		updateSliderOption(RRStaminaRateIndex, RRStaminaRate, "Stamina", "STAY_STAMINA_VALUE", _defaultStaminaFlags, _defaultOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintDefaultType")
	endEvent
endState

;
; STATE Sitting : Menus ---------------------------------------------------------------------------
;

state SITTING_HEAL_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSittingHealIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSittingHealIndex.SetValueInt(index)
		updateStayAndSitFlags()
		updateSliderOption(RRSittingHealIndex, RRSittingHealValue, "Health", "SITTING_HEAL_VALUE", _sittingHealFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSittingHealIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateStayAndSitFlags()
		updateSliderOption(RRSittingHealIndex, RRSittingHealValue, "Health", "SITTING_HEAL_VALUE", _sittingHealFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state SITTING_MAGICKA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSittingMagickaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSittingMagickaIndex.SetValueInt(index)
		updateStayAndSitFlags()
		updateSliderOption(RRSittingMagickaIndex, RRSittingMagickaValue, "Magicka", "SITTING_MAGICKA_VALUE", _sittingMagickaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSittingMagickaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateStayAndSitFlags()
		updateSliderOption(RRSittingMagickaIndex, RRSittingMagickaValue, "Magicka", "SITTING_MAGICKA_VALUE", _sittingMagickaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state SITTING_STAMINA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSittingStaminaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSittingStaminaIndex.SetValueInt(index)
		updateStayAndSitFlags()
		updateSliderOption(RRSittingStaminaIndex, RRSittingStaminaValue, "Stamina", "SITTING_STAMINA_VALUE", _sittingStaminaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSittingStaminaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateStayAndSitFlags()
		updateSliderOption(RRSittingStaminaIndex, RRSittingStaminaValue, "Stamina", "SITTING_STAMINA_VALUE", _sittingStaminaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

;
; STATE Staying : Sliders -------------------------------------------------------------------------
;

state STAY_HEAL_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue( RRHealRate.GetValue() )
		SetSliderDialogDefaultValue( _defaultHealRateValue )
		SetSliderDialogRange( RRsliderHealMin.GetValue(), RRsliderHealMax.GetValue() )
		SetSliderDialogInterval( RRsliderHealInterval.GetValue() )
	endEvent

	event OnSliderAcceptST( float value )
		RRHealRate.SetValue( value )
		SetSliderOptionValueST( RRHealRate.GetValue(), _sliderFS )
	endEvent

	event OnDefaultST()
		RRHealRate.SetValue( _defaultHealRateValue )
		SetSliderOptionValueST( RRHealRate.GetValue(), _sliderFS )
	endEvent

	event OnHighlightST()
		SetInfoText( "$RRhintValue" )
	endEvent
endState

state STAY_MAGICKA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue( RRMagickaRate.GetValue() )
		SetSliderDialogDefaultValue( _defaultMagickaRateValue )
		SetSliderDialogRange( RRsliderMagickaMin.GetValue(), RRsliderMagickaMax.GetValue() )
		SetSliderDialogInterval( RRsliderMagickaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST( float value )
		RRMagickaRate.SetValue( value )
		SetSliderOptionValueST( RRMagickaRate.GetValue(), _sliderFS )
	endEvent

	event OnDefaultST()
		RRMagickaRate.SetValue( _defaultMagickaRateValue )
		SetSliderOptionValueST( RRMagickaRate.GetValue(), _sliderFS )
	endEvent

	event OnHighlightST()
		SetInfoText( "$RRhintValue" )
	endEvent
endState

state STAY_STAMINA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue( RRStaminaRate.GetValue() )
		SetSliderDialogDefaultValue( _defaultStaminaRateValue )
		SetSliderDialogRange( RRsliderStaminaMin.GetValue(), RRsliderStaminaMax.GetValue() )
		SetSliderDialogInterval( RRsliderStaminaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST( float value )
		RRStaminaRate.SetValue( value )
		SetSliderOptionValueST( RRStaminaRate.GetValue(), _sliderFS )
	endEvent

	event OnDefaultST()
		RRStaminaRate.SetValue( _defaultStaminaRateValue )
		SetSliderOptionValueST( RRStaminaRate.GetValue(), _sliderFS )
	endEvent

	event OnHighlightST()
		SetInfoText( "$RRhintValue" )
	endEvent
endState

;
; STATE Sitting : Sliders -------------------------------------------------------------------------
;

state SITTING_HEAL_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSittingHealValue.GetValue())
		SetSliderDialogDefaultValue(_defaultHealRateValue)
		SetSliderDialogRange( RRsliderHealMin.GetValue(), RRsliderHealMax.GetValue() )
		SetSliderDialogInterval( RRsliderHealInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRSittingHealValue.SetValue(value)
		SetSliderOptionValueST(RRSittingHealValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRSittingHealValue.SetValue(_defaultHealRateValue)
		SetSliderOptionValueST(RRSittingHealValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state SITTING_MAGICKA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSittingMagickaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultMagickaRateValue)
		SetSliderDialogRange( RRsliderMagickaMin.GetValue(), RRsliderMagickaMax.GetValue() )
		SetSliderDialogInterval( RRsliderMagickaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRSittingMagickaValue.SetValue(value)
		SetSliderOptionValueST(RRSittingMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRSittingMagickaValue.SetValue(_defaultMagickaRateValue)
		SetSliderOptionValueST(RRSittingMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state SITTING_STAMINA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSittingStaminaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultStaminaRateValue)
		SetSliderDialogRange( RRsliderStaminaMin.GetValue(), RRsliderStaminaMax.GetValue() )
		SetSliderDialogInterval( RRsliderStaminaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRSittingStaminaValue.SetValue(value)
		SetSliderOptionValueST(RRSittingStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRSittingStaminaValue.SetValue(_defaultStaminaRateValue)
		SetSliderOptionValueST(RRSittingStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

;
; FUNCTIONS : Stay and Sit ------------------------------------------------------------------------
;

Function updateStayAndSitFlags()
	updateStayFlags()
	updateSittingFlags()
endFunction

Function updateStayFlags()
	if (updateModEnabledFlags())
		if (updateModHealFlags() && RRHealRateIndex.GetValueInt() == RRFunctionUserDefined.GetValueInt())
			_defaultHealFlags = OPTION_FLAG_NONE
		else
			_defaultHealFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModMagickaFlags() && RRMagickaRateIndex.GetValueInt() == RRFunctionUserDefined.GetValueInt())
			_defaultMagickaFlags = OPTION_FLAG_NONE
		else
			_defaultMagickaFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModStaminaFlags() && RRStaminaRateIndex.GetValueInt() == RRFunctionUserDefined.GetValueInt())
			_defaultStaminaFlags = OPTION_FLAG_NONE
		else
			_defaultStaminaFlags = OPTION_FLAG_DISABLED
		endIf
	else
		disableAllFlags()
	endIf
endFunction

Function updateSittingFlags()
	if (updateModEnabledFlags())
		if (updateModHealFlags())
			if (isUserdefined(RRSittingHealIndex))
				_sittingHealFlags = OPTION_FLAG_NONE
			else
				_sittingHealFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_sittingHealFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModMagickaFlags())
			if (isUserdefined(RRSittingMagickaIndex))
				_sittingMagickaFlags = OPTION_FLAG_NONE
			else
				_sittingMagickaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_sittingMagickaFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModStaminaFlags())
			if (isUserdefined(RRSittingStaminaIndex))
				_sittingStaminaFlags = OPTION_FLAG_NONE
			else
				_sittingStaminaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_sittingStaminaFlags = OPTION_FLAG_DISABLED
		endIf
	else
		disableAllFlags()
	endIf
endFunction

;
; PAGE SleepAndWait ---------------------------------------------------------------------------------
;

Function generateSleepAndWaitPage()
	SetCursorFillMode(TOP_TO_BOTTOM)

	AddHeaderOption("$RRSleeping", _modEnabledFlags)
	AddEmptyOption()

	int rIndex = RRSleepHealIndex.GetValueInt()
	string rName = _commonOptionsList[rIndex]
	float rValue = RRSkyUILib.getRRCV( rIndex, RRSleepHealValue, "Health")

	AddMenuOptionST("SLEEP_HEAL_TYPE", "$Health", rName, _modHealFlags)
	AddSliderOptionST("SLEEP_HEAL_VALUE", "$Value", rValue, _sliderFS, _sleepHealFlags)
	AddEmptyOption()

	rIndex = RRSleepMagickaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSleepMagickaValue, "Magicka")

	AddMenuOptionST("SLEEP_MAGICKA_TYPE", "$Magicka", rName, _modMagickaFlags)
	AddSliderOptionST("SLEEP_MAGICKA_VALUE", "$Value", rValue, _sliderFS, _sleepMagickaFlags)
	AddEmptyOption()

	rIndex = RRSleepStaminaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSleepStaminaValue, "Stamina")

	AddMenuOptionST("SLEEP_STAMINA_TYPE", "$Stamina", rName, _modStaminaFlags)
	AddSliderOptionST("SLEEP_STAMINA_VALUE", "$Value", rValue, _sliderFS, _sleepStaminaFlags)

	SetCursorPosition(1)

	AddHeaderOption("$RRWaiting", _modEnabledFlags)
	AddEmptyOption()

	rIndex = RRWaitHealIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRWaitHealValue, "Health")

	AddMenuOptionST("WAIT_HEAL_TYPE", "$Health", rName, _modHealFlags)
	AddSliderOptionST("WAIT_HEAL_VALUE", "$Value", rValue, _sliderFS, _waitHealFlags)
	AddEmptyOption()

	rIndex = RRWaitMagickaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRWaitMagickaValue, "Magicka")

	AddMenuOptionST("WAIT_MAGICKA_TYPE", "$Magicka", rName, _modMagickaFlags)
	AddSliderOptionST("WAIT_MAGICKA_VALUE", "$Value", rValue, _sliderFS, _waitMagickaFlags)
	AddEmptyOption()

	rIndex = RRWaitStaminaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRWaitStaminaValue, "Stamina")

	AddMenuOptionST("WAIT_STAMINA_TYPE", "$Stamina", rName, _modStaminaFlags)
	AddSliderOptionST("WAIT_STAMINA_VALUE", "$Value", rValue, _sliderFS, _waitStaminaFlags)
endFunction

;
; STATE SleepAndWait ------------------------------------------------------------------------------
;
; STATE SleepAndWait : Menus ----------------------------------------------------------------------
;

state SLEEP_HEAL_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSleepHealIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSleepHealIndex.SetValueInt(index)
		updateSleepAndWaitFlags()
		updateSliderOption(RRSleepHealIndex, RRSleepHealValue, "Health", "SLEEP_HEAL_VALUE", _sleepHealFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSleepHealIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateSleepAndWaitFlags()
		updateSliderOption(RRSleepHealIndex, RRSleepHealValue, "Health", "SLEEP_HEAL_VALUE", _sleepHealFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintSleepHealType")
	endEvent
endState

state SLEEP_MAGICKA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSleepMagickaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSleepMagickaIndex.SetValueInt(index)
		updateSleepAndWaitFlags()
		updateSliderOption(RRSleepMagickaIndex, RRSleepMagickaValue, "Magicka", "SLEEP_MAGICKA_VALUE", _sleepMagickaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSleepMagickaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateSleepAndWaitFlags()
		updateSliderOption(RRSleepMagickaIndex, RRSleepMagickaValue, "Magicka", "SLEEP_MAGICKA_VALUE", _sleepMagickaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state SLEEP_STAMINA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSleepStaminaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSleepStaminaIndex.SetValueInt(index)
		updateSleepAndWaitFlags()
		updateSliderOption(RRSleepStaminaIndex, RRSleepStaminaValue, "Stamina", "SLEEP_STAMINA_VALUE", _sleepStaminaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSleepStaminaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		SetMenuOptionValueST(_commonOptionsList[RRSleepStaminaIndex.GetValueInt()])
		updateSleepAndWaitFlags()
		updateSliderOption(RRSleepStaminaIndex, RRSleepStaminaValue, "Stamina", "SLEEP_STAMINA_VALUE", _sleepStaminaFlags, _commonOptionsList)
	endEvent
	
	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state WAIT_HEAL_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRWaitHealIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRWaitHealIndex.SetValueInt(index)
		updateSleepAndWaitFlags()
		updateSliderOption(RRWaitHealIndex, RRWaitHealValue, "Health", "WAIT_HEAL_VALUE", _waitHealFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRWaitHealIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateSleepAndWaitFlags()
		updateSliderOption(RRWaitHealIndex, RRWaitHealValue, "Health", "WAIT_HEAL_VALUE", _waitHealFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintSleepHealType")
	endEvent
endState

state WAIT_MAGICKA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRWaitMagickaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRWaitMagickaIndex.SetValueInt(index)
		updateSleepAndWaitFlags()
		updateSliderOption(RRWaitMagickaIndex, RRWaitMagickaValue, "Magicka", "WAIT_MAGICKA_VALUE", _waitMagickaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRWaitMagickaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateSleepAndWaitFlags()
		updateSliderOption(RRWaitMagickaIndex, RRWaitMagickaValue, "Magicka", "WAIT_MAGICKA_VALUE", _waitMagickaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state WAIT_STAMINA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRWaitStaminaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRWaitStaminaIndex.SetValueInt(index)
		updateSleepAndWaitFlags()
		updateSliderOption(RRWaitStaminaIndex, RRWaitStaminaValue, "Stamina", "WAIT_STAMINA_VALUE", _waitStaminaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRWaitStaminaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateSleepAndWaitFlags()
		updateSliderOption(RRWaitStaminaIndex, RRWaitStaminaValue, "Stamina", "WAIT_STAMINA_VALUE", _waitStaminaFlags, _commonOptionsList)
	endEvent
	
	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

;
; STATE SleepAndWait : Sliders --------------------------------------------------------------------
;

state SLEEP_HEAL_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSleepHealValue.GetValue())
		SetSliderDialogDefaultValue(_defaultHealRateValue)
		SetSliderDialogRange( RRsliderHealMin.GetValue(), RRsliderHealMax.GetValue() )
		SetSliderDialogInterval( RRsliderHealInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRSleepHealValue.SetValue(value)
		SetSliderOptionValueST(RRSleepHealValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRSleepHealValue.SetValue(_defaultHealRateValue)
		SetSliderOptionValueST(RRSleepHealValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state SLEEP_MAGICKA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSleepMagickaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultMagickaRateValue)
		SetSliderDialogRange( RRsliderMagickaMin.GetValue(), RRsliderMagickaMax.GetValue() )
		SetSliderDialogInterval( RRsliderMagickaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRSleepMagickaValue.SetValue(value)
		SetSliderOptionValueST(RRSleepMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRSleepMagickaValue.SetValue(_defaultMagickaRateValue)
		SetSliderOptionValueST(RRSleepMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state SLEEP_STAMINA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSleepStaminaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultStaminaRateValue)
		SetSliderDialogRange( RRsliderStaminaMin.GetValue(), RRsliderStaminaMax.GetValue() )
		SetSliderDialogInterval( RRsliderStaminaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRSleepStaminaValue.SetValue(value)
		SetSliderOptionValueST(RRSleepStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRSleepStaminaValue.SetValue(_defaultStaminaRateValue)
		SetSliderOptionValueST(RRSleepStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state WAIT_HEAL_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRWaitHealValue.GetValue())
		SetSliderDialogDefaultValue(_defaultHealRateValue)
		SetSliderDialogRange( RRsliderHealMin.GetValue(), RRsliderHealMax.GetValue() )
		SetSliderDialogInterval( RRsliderHealInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRWaitHealValue.SetValue(value)
		SetSliderOptionValueST(RRWaitHealValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRWaitHealValue.SetValue(_defaultHealRateValue)
		SetSliderOptionValueST(RRWaitHealValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state WAIT_MAGICKA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRWaitMagickaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultMagickaRateValue)
		SetSliderDialogRange( RRsliderMagickaMin.GetValue(), RRsliderMagickaMax.GetValue() )
		SetSliderDialogInterval( RRsliderMagickaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRWaitMagickaValue.SetValue(value)
		SetSliderOptionValueST(RRWaitMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRWaitMagickaValue.SetValue(_defaultMagickaRateValue)
		SetSliderOptionValueST(RRWaitMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state WAIT_STAMINA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRWaitStaminaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultStaminaRateValue)
		SetSliderDialogRange( RRsliderStaminaMin.GetValue(), RRsliderStaminaMax.GetValue() )
		SetSliderDialogInterval( RRsliderStaminaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRWaitStaminaValue.SetValue(value)
		SetSliderOptionValueST(RRWaitStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRWaitStaminaValue.SetValue(_defaultStaminaRateValue)
		SetSliderOptionValueST(RRWaitStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

;
; FUNCTIONS : SleepAndWait ------------------------------------------------------------------------
;

Function updateSleepAndWaitFlags()
	updateSleepFlags()
	updateWaitFlags()
endFunction

Function updateSleepFlags()
	if (updateModEnabledFlags())
		if (updateModHealFlags())
			if (isUserdefined(RRSleepHealIndex))
				_sleepHealFlags = OPTION_FLAG_NONE
			else
				_sleepHealFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_sleepHealFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModMagickaFlags())
			if (isUserdefined(RRSleepMagickaIndex))
				_sleepMagickaFlags = OPTION_FLAG_NONE
			else
				_sleepMagickaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_sleepMagickaFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModStaminaFlags())
			if (isUserdefined(RRSleepStaminaIndex))
				_sleepStaminaFlags = OPTION_FLAG_NONE
			else
				_sleepStaminaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_sleepStaminaFlags = OPTION_FLAG_DISABLED
		endIf
	else
		disableAllFlags()
	endIf
endFunction

Function updateWaitFlags()
	if (updateModEnabledFlags())
		if (updateModHealFlags())
			if (isUserdefined(RRWaitHealIndex))
				_waitHealFlags = OPTION_FLAG_NONE
			else
				_waitHealFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_waitHealFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModMagickaFlags())
			if (isUserdefined(RRWaitMagickaIndex))
				_waitMagickaFlags = OPTION_FLAG_NONE
			else
				_waitMagickaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_waitMagickaFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModStaminaFlags())
			if (isUserdefined(RRWaitStaminaIndex))
				_waitStaminaFlags = OPTION_FLAG_NONE
			else
				_waitStaminaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_waitStaminaFlags = OPTION_FLAG_DISABLED
		endIf
	else
		disableAllFlags()
	endIf
endFunction

;
; PAGE RunAndSprint -------------------------------------------------------------------------------
;

Function generateRunAndSprintPage()
	SetCursorFillMode(TOP_TO_BOTTOM)

	AddHeaderOption("$RRRunning", _modEnabledFlags)
	AddEmptyOption()

	int rIndex = RRRunningHealIndex.GetValueInt()
	string rName = _commonOptionsList[rIndex]
	float rValue = RRSkyUILib.getRRCV( rIndex, RRRunningHealValue, "Health" )

	AddMenuOptionST("RUNNING_HEAL_TYPE", "$Health", rName, _modHealFlags)
	AddSliderOptionST("RUNNING_HEAL_VALUE", "$Value", rValue, _sliderFS, _runningHealFlags)
	AddEmptyOption()

	rIndex = RRRunningMagickaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRRunningMagickaValue, "Magicka" )

	AddMenuOptionST("RUNNING_MAGICKA_TYPE", "$Magicka", rName, _modMagickaFlags)
	AddSliderOptionST("RUNNING_MAGICKA_VALUE", "$Value", rValue, _sliderFS, _runningMagickaFlags)
	AddEmptyOption()

	rIndex = RRRunningStaminaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRRunningStaminaValue, "Stamina" )

	AddMenuOptionST("RUNNING_STAMINA_TYPE", "$Stamina", rName, _modStaminaFlags)
	AddSliderOptionST("RUNNING_STAMINA_VALUE", "$Value", rValue, _sliderFS, _runningStaminaFlags)

	SetCursorPosition(1)

	AddHeaderOption("$RRSprint", _modEnabledFlags)
	AddEmptyOption()

	rIndex = RRSprintHealIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSprintHealValue, "Health")

	AddMenuOptionST("SPRINT_HEAL_TYPE", "$Health", rName, _modHealFlags)
	AddSliderOptionST("SPRINT_HEAL_VALUE", "$Value", rValue, _sliderFS, _sprintHealFlags)
	AddEmptyOption()

	rIndex = RRSprintMagickaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSprintMagickaValue, "Magicka")

	AddMenuOptionST("SPRINT_MAGICKA_TYPE", "$Magicka", rName, _modMagickaFlags)
	AddSliderOptionST("SPRINT_MAGICKA_VALUE", "$Value", rValue, _sliderFS, _sprintMagickaFlags)
	AddEmptyOption()

	rIndex = RRSprintStaminaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSprintStaminaValue, "Stamina")

	AddMenuOptionST("SPRINT_STAMINA_TYPE", "$Stamina", rName, _modStaminaFlags)
	AddSliderOptionST("SPRINT_STAMINA_VALUE", "$Value", rValue, _sliderFS, _sprintStaminaFlags)
endFunction

;
; STATE RunningAndSprint --------------------------------------------------------------------------
;
; STATE RunningAndSprint : Menus ------------------------------------------------------------------
;

state RUNNING_HEAL_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRRunningHealIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRRunningHealIndex.SetValueInt(index)
		updateRunAndSprintFlags()
		updateSliderOption(RRRunningHealIndex, RRRunningHealValue, "Health", "RUNNING_HEAL_VALUE", _runningHealFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRRunningHealIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateRunAndSprintFlags()
		updateSliderOption(RRRunningHealIndex, RRRunningHealValue, "Health", "RUNNING_HEAL_VALUE", _runningHealFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state RUNNING_MAGICKA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRRunningMagickaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRRunningMagickaIndex.SetValueInt(index)
		updateRunAndSprintFlags()
		updateSliderOption(RRRunningMagickaIndex, RRRunningMagickaValue, "Magicka", "RUNNING_MAGICKA_VALUE", _runningMagickaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRRunningMagickaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateRunAndSprintFlags()
		updateSliderOption(RRRunningMagickaIndex, RRRunningMagickaValue, "Magicka", "RUNNING_MAGICKA_VALUE", _runningMagickaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state RUNNING_STAMINA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRRunningStaminaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRRunningStaminaIndex.SetValueInt(index)
		updateRunAndSprintFlags()
		updateSliderOption(RRRunningStaminaIndex, RRRunningStaminaValue, "Stamina", "RUNNING_STAMINA_VALUE", _runningStaminaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRRunningStaminaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateRunAndSprintFlags()
		updateSliderOption(RRRunningStaminaIndex, RRRunningStaminaValue, "Stamina", "RUNNING_STAMINA_VALUE", _runningStaminaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state SPRINT_HEAL_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSprintHealIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSprintHealIndex.SetValueInt(index)
		updateRunAndSprintFlags()
		updateSliderOption(RRSprintHealIndex, RRSprintHealValue, "Health", "SPRINT_HEAL_VALUE", _sprintHealFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSprintHealIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateRunAndSprintFlags()
		updateSliderOption(RRSprintHealIndex, RRSprintHealValue, "Health", "SPRINT_HEAL_VALUE", _sprintHealFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state SPRINT_MAGICKA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSprintMagickaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSprintMagickaIndex.SetValueInt(index)
		updateRunAndSprintFlags()
		updateSliderOption(RRSprintMagickaIndex, RRSprintMagickaValue, "Magicka", "SPRINT_MAGICKA_VALUE", _sprintMagickaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSprintMagickaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateRunAndSprintFlags()
		updateSliderOption(RRSprintMagickaIndex, RRSprintMagickaValue, "Magicka", "SPRINT_MAGICKA_VALUE", _sprintMagickaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state SPRINT_STAMINA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSprintStaminaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSprintStaminaIndex.SetValueInt(index)
		updateRunAndSprintFlags()
		updateSliderOption(RRSprintStaminaIndex, RRSprintStaminaValue, "Stamina", "SPRINT_STAMINA_VALUE", _sprintStaminaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSprintStaminaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateRunAndSprintFlags()
		updateSliderOption(RRSprintStaminaIndex, RRSprintStaminaValue, "Stamina", "SPRINT_STAMINA_VALUE", _sprintStaminaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

;
; STATE RunningAndSprint : Sliders ----------------------------------------------------------------
;

state RUNNING_HEAL_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRRunningHealValue.GetValue())
		SetSliderDialogDefaultValue(_defaultHealRateValue)
		SetSliderDialogRange( RRsliderHealMin.GetValue(), RRsliderHealMax.GetValue() )
		SetSliderDialogInterval( RRsliderHealInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRRunningHealValue.SetValue(value)
		SetSliderOptionValueST(RRRunningHealValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRRunningHealValue.SetValue(_defaultHealRateValue)
		SetSliderOptionValueST(RRRunningHealValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state RUNNING_MAGICKA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRRunningMagickaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultMagickaRateValue)
		SetSliderDialogRange( RRsliderMagickaMin.GetValue(), RRsliderMagickaMax.GetValue() )
		SetSliderDialogInterval( RRsliderMagickaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRRunningMagickaValue.SetValue(value)
		SetSliderOptionValueST(RRRunningMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRRunningMagickaValue.SetValue(_defaultMagickaRateValue)
		SetSliderOptionValueST(RRRunningMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state RUNNING_STAMINA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRRunningStaminaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultStaminaRateValue)
		SetSliderDialogRange( RRsliderStaminaMin.GetValue(), RRsliderStaminaMax.GetValue() )
		SetSliderDialogInterval( RRsliderStaminaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRRunningStaminaValue.SetValue(value)
		SetSliderOptionValueST(RRRunningStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRRunningStaminaValue.SetValue(_defaultStaminaRateValue)
		SetSliderOptionValueST(RRRunningStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state SPRINT_HEAL_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSprintHealValue.GetValue())
		SetSliderDialogDefaultValue(_defaultHealRateValue)
		SetSliderDialogRange( RRsliderHealMin.GetValue(), RRsliderHealMax.GetValue() )
		SetSliderDialogInterval( RRsliderHealInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRSprintHealValue.SetValue(value)
		SetSliderOptionValueST(RRSprintHealValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRSprintHealValue.SetValue(_defaultHealRateValue)
		SetSliderOptionValueST(RRSprintHealValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state SPRINT_MAGICKA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSprintMagickaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultMagickaRateValue)
		SetSliderDialogRange( RRsliderMagickaMin.GetValue(), RRsliderMagickaMax.GetValue() )
		SetSliderDialogInterval( RRsliderMagickaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRSprintMagickaValue.SetValue(value)
		SetSliderOptionValueST(RRSprintMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRSprintMagickaValue.SetValue(_defaultMagickaRateValue)
		SetSliderOptionValueST(RRSprintMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state SPRINT_STAMINA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSprintStaminaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultStaminaRateValue)
		SetSliderDialogRange( RRsliderStaminaMin.GetValue(), RRsliderStaminaMax.GetValue() )
		SetSliderDialogInterval( RRsliderStaminaInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRSprintStaminaValue.SetValue(value)
		SetSliderOptionValueST(RRSprintStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRSprintStaminaValue.SetValue(_defaultStaminaRateValue)
		SetSliderOptionValueST(RRSprintStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

;
; FUNCTIONS : RunningAndSprint --------------------------------------------------------------------
;

Function updateRunAndSprintFlags()
	if (updateModEnabledFlags())
		if (updateModHealFlags())
			if (isUserdefined(RRRunningHealIndex))
				_runningHealFlags = OPTION_FLAG_NONE
			else
				_runningHealFlags = OPTION_FLAG_DISABLED
			endIf

			if (isUserdefined(RRSprintHealIndex))
				_sprintHealFlags = OPTION_FLAG_NONE
			else
				_sprintHealFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_runningHealFlags = OPTION_FLAG_DISABLED
			_sprintHealFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModMagickaFlags())
			if (isUserdefined(RRRunningMagickaIndex))
				_runningMagickaFlags = OPTION_FLAG_NONE
			else
				_runningMagickaFlags = OPTION_FLAG_DISABLED
			endIf

			if (isUserdefined(RRSprintMagickaIndex))
				_sprintMagickaFlags = OPTION_FLAG_NONE
			else
				_sprintMagickaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_runningMagickaFlags = OPTION_FLAG_DISABLED
			_sprintMagickaFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModStaminaFlags())
			if (isUserdefined(RRRunningStaminaIndex))
				_runningStaminaFlags = OPTION_FLAG_NONE
			else
				_runningStaminaFlags = OPTION_FLAG_DISABLED
			endIf

			if (isUserdefined(RRSprintStaminaIndex))
				_sprintStaminaFlags = OPTION_FLAG_NONE
			else
				_sprintStaminaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_runningStaminaFlags = OPTION_FLAG_DISABLED
			_sprintStaminaFlags = OPTION_FLAG_DISABLED
		endIf
	else
		disableAllFlags()
	endIf
endFunction

;
; PAGE PotionsAndFood ------------------------------------------------------------------------------------
;

Function generatePotionsAndFoodPage()
	SetCursorFillMode(TOP_TO_BOTTOM)

	AddHeaderOption("$RRRegenPotions", _modEnabledFlags)
	AddEmptyOption()

	int rIndex = RRPotionRegenHealIndex.GetValueInt()
	string rName = _commonOptionsList[rIndex]
	float rValue = RRSkyUILib.getRRCV( rIndex, RRPotionRegenHealValue, "Health" )

	AddMenuOptionST("POTION_HEAL_TYPE", "$Health", rName, _modHealFlags)
	AddSliderOptionST("POTION_HEAL_VALUE", "$Value", rValue, _sliderFS, _potionHealFlags)
	AddEmptyOption()

	rIndex = RRPotionRegenMagickaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRPotionRegenMagickaValue, "Magicka" )

	AddMenuOptionST("POTION_MAGICKA_TYPE", "$Magicka", rName, _modMagickaFlags)
	AddSliderOptionST("POTION_MAGICKA_VALUE", "$Value", rValue, _sliderFS, _potionMagickaFlags)
	AddEmptyOption()

	rIndex = RRPotionRegenStaminaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRPotionRegenStaminaValue, "Stamina" )

	AddMenuOptionST("POTION_STAMINA_TYPE", "$Stamina", rName, _modStaminaFlags)
	AddSliderOptionST("POTION_STAMINA_VALUE", "$Value", rValue, _sliderFS, _potionStaminaFlags)

	SetCursorPosition(1)

	AddHeaderOption("$Food", _modEnabledFlags)
	AddEmptyOption()

	rIndex = RRFoodHealIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRFoodHealValue, "Health" )

	AddMenuOptionST("FOOD_HEAL_TYPE", "$Health", rName, _modHealFlags)
	AddSliderOptionST("FOOD_HEAL_VALUE", "$Value", rValue, _sliderFS, _foodHealFlags)
	AddEmptyOption()

	rIndex = RRFoodMagickaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRFoodMagickaValue, "Magicka" )

	AddMenuOptionST("FOOD_MAGICKA_TYPE", "$Magicka", rName, _modMagickaFlags)
	AddSliderOptionST("FOOD_MAGICKA_VALUE", "$Value", rValue, _sliderFS, _foodMagickaFlags)
	AddEmptyOption()

	rIndex = RRFoodStaminaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRFoodStaminaValue, "Stamina" )

	AddMenuOptionST("FOOD_STAMINA_TYPE", "$Stamina", rName, _modStaminaFlags)
	AddSliderOptionST("FOOD_STAMINA_VALUE", "$Value", rValue, _sliderFS, _foodStaminaFlags)
endFunction

;
; STATE PotionsAndFood ----------------------------------------------------------------------------
;
; STATE PotionsAndFood : Menus --------------------------------------------------------------------
;

state POTION_HEAL_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRPotionRegenHealIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRPotionRegenHealIndex.SetValueInt(index)
		updatePotionsAndFoodFlags()
		updateSliderOption(RRPotionRegenHealIndex, RRPotionRegenHealValue, "Health", "POTION_HEAL_VALUE", _potionHealFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRPotionRegenHealIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updatePotionsAndFoodFlags()
		updateSliderOption(RRPotionRegenHealIndex, RRPotionRegenHealValue, "Health", "POTION_HEAL_VALUE", _potionHealFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state POTION_MAGICKA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRPotionRegenMagickaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRPotionRegenMagickaIndex.SetValueInt(index)
		updatePotionsAndFoodFlags()
		updateSliderOption(RRPotionRegenMagickaIndex, RRPotionRegenMagickaValue, "Magicka", "POTION_MAGICKA_VALUE", _potionMagickaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRPotionRegenMagickaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updatePotionsAndFoodFlags()
		updateSliderOption(RRPotionRegenMagickaIndex, RRPotionRegenMagickaValue, "Magicka", "POTION_MAGICKA_VALUE", _potionMagickaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state POTION_STAMINA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRPotionRegenStaminaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRPotionRegenStaminaIndex.SetValueInt(index)
		updatePotionsAndFoodFlags()
		updateSliderOption(RRPotionRegenStaminaIndex, RRPotionRegenStaminaValue, "Stamina", "POTION_STAMINA_VALUE", _potionStaminaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRPotionRegenStaminaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updatePotionsAndFoodFlags()
		updateSliderOption(RRPotionRegenStaminaIndex, RRPotionRegenStaminaValue, "Stamina", "POTION_STAMINA_VALUE", _potionStaminaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state FOOD_HEAL_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRFoodHealIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRFoodHealIndex.SetValueInt(index)
		updatePotionsAndFoodFlags()
		updateSliderOption(RRFoodHealIndex, RRFoodHealValue, "Health", "FOOD_HEAL_VALUE", _foodHealFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRFoodHealIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updatePotionsAndFoodFlags()
		updateSliderOption(RRFoodHealIndex, RRFoodHealValue, "Health", "FOOD_HEAL_VALUE", _foodHealFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state FOOD_MAGICKA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRFoodMagickaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRFoodMagickaIndex.SetValueInt(index)
		updatePotionsAndFoodFlags()
		updateSliderOption(RRFoodMagickaIndex, RRFoodMagickaValue, "Magicka", "FOOD_MAGICKA_VALUE", _foodMagickaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRFoodMagickaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updatePotionsAndFoodFlags()
		updateSliderOption(RRFoodMagickaIndex, RRFoodMagickaValue, "Magicka", "FOOD_MAGICKA_VALUE", _foodMagickaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state FOOD_STAMINA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRFoodStaminaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRFoodStaminaIndex.SetValueInt(index)
		updatePotionsAndFoodFlags()
		updateSliderOption(RRFoodStaminaIndex, RRFoodStaminaValue, "Stamina", "FOOD_STAMINA_VALUE", _foodStaminaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRFoodStaminaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updatePotionsAndFoodFlags()
		updateSliderOption(RRFoodStaminaIndex, RRFoodStaminaValue, "Stamina", "FOOD_STAMINA_VALUE", _foodStaminaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

;
; STATE PotionsAndFood : Sliders ------------------------------------------------------------------
;

state POTION_HEAL_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRPotionRegenHealValue.GetValue())
		SetSliderDialogDefaultValue(_defaultHealRateValue)
		SetSliderDialogRange( RRsliderHealMin.GetValue(), RRsliderHealMax.GetValue() )
		SetSliderDialogInterval( RRsliderHealInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRPotionRegenHealValue.SetValue(_defaultHealRateValue)
		SetSliderOptionValueST(RRPotionRegenHealValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRPotionRegenHealValue.SetValue(value)
		SetSliderOptionValueST(RRPotionRegenHealValue.GetValue(), _sliderFS)
	endEvent
endState

state POTION_MAGICKA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRPotionRegenMagickaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultMagickaRateValue)
		SetSliderDialogRange( RRsliderMagickaMin.GetValue(), RRsliderMagickaMax.GetValue() )
		SetSliderDialogInterval( RRsliderMagickaInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRPotionRegenMagickaValue.SetValue(_defaultMagickaRateValue)
		SetSliderOptionValueST(RRPotionRegenMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRPotionRegenMagickaValue.SetValue(value)
		SetSliderOptionValueST(RRPotionRegenMagickaValue.GetValue(), _sliderFS)
	endEvent
endState

state POTION_STAMINA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRPotionRegenStaminaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultStaminaRateValue)
		SetSliderDialogRange( RRsliderStaminaMin.GetValue(), RRsliderStaminaMax.GetValue() )
		SetSliderDialogInterval( RRsliderStaminaInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRPotionRegenStaminaValue.SetValue(_defaultStaminaRateValue)
		SetSliderOptionValueST(RRPotionRegenStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRPotionRegenStaminaValue.SetValue(value)
		SetSliderOptionValueST(RRPotionRegenStaminaValue.GetValue(), _sliderFS)
	endEvent
endState

state FOOD_HEAL_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRFoodHealValue.GetValue())
		SetSliderDialogDefaultValue(_defaultHealRateValue)
		SetSliderDialogRange( RRsliderHealMin.GetValue(), RRsliderHealMax.GetValue() )
		SetSliderDialogInterval( RRsliderHealInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRFoodHealValue.SetValue(_defaultHealRateValue)
		SetSliderOptionValueST(RRFoodHealValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRFoodHealValue.SetValue(value)
		SetSliderOptionValueST(RRFoodHealValue.GetValue(), _sliderFS)
	endEvent
endState

state FOOD_MAGICKA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRFoodMagickaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultMagickaRateValue)
		SetSliderDialogRange( RRsliderMagickaMin.GetValue(), RRsliderMagickaMax.GetValue() )
		SetSliderDialogInterval( RRsliderMagickaInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRFoodMagickaValue.SetValue(_defaultMagickaRateValue)
		SetSliderOptionValueST(RRFoodMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRFoodMagickaValue.SetValue(value)
		SetSliderOptionValueST(RRFoodMagickaValue.GetValue(), _sliderFS)
	endEvent
endState

state FOOD_STAMINA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRFoodStaminaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultStaminaRateValue)
		SetSliderDialogRange( RRsliderStaminaMin.GetValue(), RRsliderStaminaMax.GetValue() )
		SetSliderDialogInterval( RRsliderStaminaInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRFoodStaminaValue.SetValue(_defaultStaminaRateValue)
		SetSliderOptionValueST(RRFoodStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRFoodStaminaValue.SetValue(value)
		SetSliderOptionValueST(RRFoodStaminaValue.GetValue(), _sliderFS)
	endEvent
endState

;
; FUNCTIONS : PotionsAndFood ----------------------------------------------------------------------
;

Function updatePotionsAndFoodFlags()
	if (updateModEnabledFlags())
		if (updateModHealFlags())
			if (isUserdefined(RRPotionRegenHealIndex))
				_potionHealFlags = OPTION_FLAG_NONE
			else
				_potionHealFlags = OPTION_FLAG_DISABLED
			endIf

			if (isUserdefined(RRFoodHealIndex))
				_foodHealFlags = OPTION_FLAG_NONE
			else
				_foodHealFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_potionHealFlags = OPTION_FLAG_DISABLED
			_foodHealFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModMagickaFlags())
			if (isUserdefined(RRPotionRegenMagickaIndex))
				_potionMagickaFlags = OPTION_FLAG_NONE
			else
				_potionMagickaFlags = OPTION_FLAG_DISABLED
			endIf

			if (isUserdefined(RRFoodMagickaIndex))
				_foodMagickaFlags = OPTION_FLAG_NONE
			else
				_foodMagickaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_potionMagickaFlags = OPTION_FLAG_DISABLED
			_foodMagickaFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModStaminaFlags())
			if (isUserdefined(RRPotionRegenStaminaIndex))
				_potionStaminaFlags = OPTION_FLAG_NONE
			else
				_potionStaminaFlags = OPTION_FLAG_DISABLED
			endIf

			if (isUserdefined(RRFoodStaminaIndex))
				_foodStaminaFlags = OPTION_FLAG_NONE
			else
				_foodStaminaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_potionStaminaFlags = OPTION_FLAG_DISABLED
			_foodStaminaFlags = OPTION_FLAG_DISABLED
		endIf
	else
		disableAllFlags()
	endIf
endFunction

;
; PAGE ItemsAndSpells --------------------------------------------------------------------------------
;

Function generateItemsAndSpellsPage()
	SetCursorFillMode(TOP_TO_BOTTOM)

	AddHeaderOption("$RRItems", _modEnabledFlags)
	AddEmptyOption()

	int rIndex = RRItemsHealIndex.GetValueInt()
	string rName = _commonOptionsList[rIndex]
	float rValue = RRSkyUILib.getRRCV( rIndex, RRItemsHealValue, "Health" )

	AddMenuOptionST("ITEMS_HEAL_TYPE", "$Health", rName, _modHealFlags)
	AddSliderOptionST("ITEMS_HEAL_VALUE", "$Value", rValue, _sliderFS, _itemsHealFlags)
	AddEmptyOption()

	rIndex = RRItemsMagickaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRItemsMagickaValue, "Magicka" )

	AddMenuOptionST("ITEMS_MAGICKA_TYPE", "$Magicka", rName, _modMagickaFlags)
	AddSliderOptionST("ITEMS_MAGICKA_VALUE", "$Value", rValue, _sliderFS, _itemsMagickaFlags)
	AddEmptyOption()

	rIndex = RRItemsStaminaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRItemsStaminaValue, "Stamina" )

	AddMenuOptionST("ITEMS_STAMINA_TYPE", "$Stamina", rName, _modStaminaFlags)
	AddSliderOptionST("ITEMS_STAMINA_VALUE", "$Value", rValue, _sliderFS, _itemsStaminaFlags)

	SetCursorPosition(1)

	AddHeaderOption("$RRSpells", _modEnabledFlags)
	AddEmptyOption()

	rIndex = RRSpellsHealIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSpellsHealValue, "Health" )

	AddMenuOptionST("SPELLS_HEAL_TYPE", "$Health", rName, _modHealFlags)
	AddSliderOptionST("SPELLS_HEAL_VALUE", "$Value", rValue, _sliderFS, _spellsHealFlags)
	AddEmptyOption()

	rIndex = RRSpellsMagickaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSpellsMagickaValue, "Magicka" )

	AddMenuOptionST("SPELLS_MAGICKA_TYPE", "$Magicka", rName, _modMagickaFlags)
	AddSliderOptionST("SPELLS_MAGICKA_VALUE", "$Value", rValue, _sliderFS, _spellsMagickaFlags)
	AddEmptyOption()

	rIndex = RRSpellsStaminaIndex.GetValueInt()
	rName = _commonOptionsList[rIndex]
	rValue = RRSkyUILib.getRRCV( rIndex, RRSpellsStaminaValue, "Stamina" )

	AddMenuOptionST("SPELLS_STAMINA_TYPE", "$Stamina", rName, _modStaminaFlags)
	AddSliderOptionST("SPELLS_STAMINA_VALUE", "$Value", rValue, _sliderFS, _spellsStaminaFlags)
endFunction

;
; STATE ItemsAndSpells -------------------------------------------------------------------------------
;
; STATE ItemsAndSpells : Menus -----------------------------------------------------------------------
;

state ITEMS_HEAL_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRItemsHealIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRItemsHealIndex.SetValueInt(index)
		updateItemsAndSpellsFlags()
		updateSliderOption(RRItemsHealIndex, RRItemsHealValue, "Health", "ITEMS_HEAL_VALUE", _itemsHealFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRItemsHealIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateItemsAndSpellsFlags()
		updateSliderOption(RRItemsHealIndex, RRItemsHealValue, "Health", "ITEMS_HEAL_VALUE", _itemsHealFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state ITEMS_MAGICKA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRItemsMagickaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRItemsMagickaIndex.SetValueInt(index)
		updateItemsAndSpellsFlags()
		updateSliderOption(RRItemsMagickaIndex, RRItemsMagickaIndex, "Magicka", "ITEMS_MAGICKA_VALUE", _itemsMagickaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRItemsMagickaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateItemsAndSpellsFlags()
		updateSliderOption(RRItemsMagickaIndex, RRItemsMagickaIndex, "Magicka", "ITEMS_MAGICKA_VALUE", _itemsMagickaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state ITEMS_STAMINA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRItemsStaminaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRItemsStaminaIndex.SetValueInt(index)
		updateItemsAndSpellsFlags()
		updateSliderOption(RRItemsStaminaIndex, RRItemsStaminaValue, "Stamina", "ITEMS_STAMINA_VALUE", _itemsStaminaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRItemsStaminaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateItemsAndSpellsFlags()
		updateSliderOption(RRItemsStaminaIndex, RRItemsStaminaValue, "Stamina", "ITEMS_STAMINA_VALUE", _itemsStaminaFlags, _commonOptionsList)
	endEvent
	
	event OnHighlightST()
		SetInfoText("$RRhintType")
	endEvent
endState

state SPELLS_HEAL_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSpellsHealIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSpellsHealIndex.SetValueInt(index)
		updateItemsAndSpellsFlags()
		updateSliderOption(RRSpellsHealIndex, RRSpellsHealValue, "Health", "SPELLS_HEAL_VALUE", _spellsHealFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSpellsHealIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateItemsAndSpellsFlags()
		updateSliderOption(RRSpellsHealIndex, RRSpellsHealValue, "Health", "SPELLS_HEAL_VALUE", _spellsHealFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintSpellsHealType")
	endEvent
endState

state SPELLS_MAGICKA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSpellsMagickaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSpellsMagickaIndex.SetValueInt(index)
		updateItemsAndSpellsFlags()
		updateSliderOption(RRSpellsMagickaIndex, RRSpellsMagickaValue, "Magicka", "SPELLS_MAGICKA_VALUE", _spellsMagickaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSpellsMagickaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateItemsAndSpellsFlags()
		updateSliderOption(RRSpellsMagickaIndex, RRSpellsMagickaValue, "Magicka", "SPELLS_MAGICKA_VALUE", _spellsMagickaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintSpellsMagickaType")
	endEvent
endState

state SPELLS_STAMINA_TYPE ; MENU
	event OnMenuOpenST()
		SetMenuDialogStartIndex(RRSpellsStaminaIndex.GetValueInt())
		SetMenuDialogDefaultIndex(RRFunctionDefault.GetValueInt())
		SetMenuDialogOptions(_commonOptionsList)
	endEvent

	event OnMenuAcceptST(int index)
		RRSpellsStaminaIndex.SetValueInt(index)
		updateItemsAndSpellsFlags()
		updateSliderOption(RRSpellsStaminaIndex, RRSpellsStaminaValue, "Stamina", "SPELLS_STAMINA_VALUE", _spellsStaminaFlags, _commonOptionsList)
	endEvent

	event OnDefaultST()
		RRSpellsStaminaIndex.SetValueInt(RRFunctionDefault.GetValueInt())
		updateItemsAndSpellsFlags()
		updateSliderOption(RRSpellsStaminaIndex, RRSpellsStaminaValue, "Stamina", "SPELLS_STAMINA_VALUE", _spellsStaminaFlags, _commonOptionsList)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintSpellsStaminaType")
	endEvent
endState

;
; STATE ItemsAndSpells : Sliders ---------------------------------------------------------------------
;

state ITEMS_HEAL_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRItemsHealValue.GetValue())
		SetSliderDialogDefaultValue(_defaultHealRateValue)
		SetSliderDialogRange( RRsliderHealMin.GetValue(), RRsliderHealMax.GetValue() )
		SetSliderDialogInterval( RRsliderHealInterval.GetValue() )
	endEvent

	event OnSliderAcceptST(float value)
		RRItemsHealValue.SetValue(value)
		SetSliderOptionValueST(RRItemsHealValue.GetValue(), _sliderFS)
	endEvent

	event OnDefaultST()
		RRItemsHealValue.SetValue(_defaultHealRateValue)
		SetSliderOptionValueST(RRItemsHealValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state ITEMS_MAGICKA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRItemsMagickaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultMagickaRateValue)
		SetSliderDialogRange( RRsliderMagickaMin.GetValue(), RRsliderMagickaMax.GetValue() )
		SetSliderDialogInterval( RRsliderMagickaInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRItemsMagickaValue.SetValue(_defaultMagickaRateValue)
		SetSliderOptionValueST(RRItemsMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRItemsMagickaValue.SetValue(value)
		SetSliderOptionValueST(RRItemsMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state ITEMS_STAMINA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRItemsStaminaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultStaminaRateValue)
		SetSliderDialogRange( RRsliderStaminaMin.GetValue(), RRsliderStaminaMax.GetValue() )
		SetSliderDialogInterval( RRsliderStaminaInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRItemsStaminaValue.SetValue(_defaultStaminaRateValue)
		SetSliderOptionValueST(RRItemsStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRItemsStaminaValue.SetValue(value)
		SetSliderOptionValueST(RRItemsStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state SPELLS_HEAL_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSpellsHealValue.GetValue())
		SetSliderDialogDefaultValue(_defaultHealRateValue)
		SetSliderDialogRange( RRsliderHealMin.GetValue(), RRsliderHealMax.GetValue() )
		SetSliderDialogInterval( RRsliderHealInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRSpellsHealValue.SetValue(_defaultHealRateValue)
		SetSliderOptionValueST(RRSpellsHealValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRSpellsHealValue.SetValue(value)
		SetSliderOptionValueST(RRSpellsHealValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state SPELLS_MAGICKA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSpellsMagickaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultMagickaRateValue)
		SetSliderDialogRange( RRsliderMagickaMin.GetValue(), RRsliderMagickaMax.GetValue() )
		SetSliderDialogInterval( RRsliderMagickaInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRSpellsMagickaValue.SetValue(_defaultMagickaRateValue)
		SetSliderOptionValueST(RRSpellsMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRSpellsMagickaValue.SetValue(value)
		SetSliderOptionValueST(RRSpellsMagickaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

state SPELLS_STAMINA_VALUE ; SLIDER
	event OnSliderOpenST()
		SetSliderDialogStartValue(RRSpellsStaminaValue.GetValue())
		SetSliderDialogDefaultValue(_defaultStaminaRateValue)
		SetSliderDialogRange( RRsliderStaminaMin.GetValue(), RRsliderStaminaMax.GetValue() )
		SetSliderDialogInterval( RRsliderStaminaInterval.GetValue() )
	endEvent

	event OnDefaultST()
		RRSpellsStaminaValue.SetValue(_defaultStaminaRateValue)
		SetSliderOptionValueST(RRSpellsStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnSliderAcceptST(float value)
		RRSpellsStaminaValue.SetValue(value)
		SetSliderOptionValueST(RRSpellsStaminaValue.GetValue(), _sliderFS)
	endEvent

	event OnHighlightST()
		SetInfoText("$RRhintValue")
	endEvent
endState

;
; FUNCTIONS : ItemsAndSpells ----------------------------------------------------------------------
;

Function updateItemsAndSpellsFlags()
	if (updateModEnabledFlags())
		if (updateModHealFlags())
			if (isUserdefined(RRItemsHealIndex))
				_itemsHealFlags = OPTION_FLAG_NONE
			else
				_itemsHealFlags = OPTION_FLAG_DISABLED
			endIf

			if (isUserdefined(RRSpellsHealIndex))
				_spellsHealFlags = OPTION_FLAG_NONE
			else
				_spellsHealFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_itemsHealFlags = OPTION_FLAG_DISABLED
			_spellsHealFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModMagickaFlags())
			if (isUserdefined(RRItemsMagickaIndex))
				_itemsMagickaFlags = OPTION_FLAG_NONE
			else
				_itemsMagickaFlags = OPTION_FLAG_DISABLED
			endIf

			if (isUserdefined(RRSpellsMagickaIndex))
				_spellsMagickaFlags = OPTION_FLAG_NONE
			else
				_spellsMagickaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_itemsMagickaFlags = OPTION_FLAG_DISABLED
			_spellsMagickaFlags = OPTION_FLAG_DISABLED
		endIf

		if (updateModStaminaFlags())
			if (isUserdefined(RRItemsStaminaIndex))
				_itemsStaminaFlags = OPTION_FLAG_NONE
			else
				_itemsStaminaFlags = OPTION_FLAG_DISABLED
			endIf

			if (isUserdefined(RRSpellsStaminaIndex))
				_spellsStaminaFlags = OPTION_FLAG_NONE
			else
				_spellsStaminaFlags = OPTION_FLAG_DISABLED
			endIf
		else
			_itemsStaminaFlags = OPTION_FLAG_DISABLED
			_spellsStaminaFlags = OPTION_FLAG_DISABLED
		endIf
	else
		disableAllFlags()
	endIf
endFunction

